What's New in ArtCAM Pro 2008

ArtCAM Pro Logo

By Delcam plc

Issue: 121 Release: 03/10/2007


Disclaimer

Delcam plc has no control over the use made of the software described in this manual and cannot accept responsibility for any loss or damage howsoever caused as a result of using the software. Users are advised that all the results from the software should be checked by a competent person, in accordance with good quality control procedures.

Information contained in this manual is subject to change without notice and does not represent a commitment by Delcam plc. The software described in this manual is furnished under licence agreement and may be used or copied in accordance with the terms of such licence. No part of this manual may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying and recording, for any purpose without the express permission of Delcam plc.

Copyright © 1996-2007 Delcam plc. All rights reserved.

Acknowledgements

This documentation references a number of registered trademarks and these are the property of their respective owners. For example, Microsoft and Windows are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

Patents

The functionality of preparing a 3D relief of the side profile of a human face direct from a photograph in ArtCAM Pro is subject to a patent.

Patent No: GB 2 403 883 "Photo to 3D"

The functionality of the 3D layers used to design and machine an article in ArtCAM Pro are subject to a patent application.

Patent application: GB 0600873.4 "3D Layers"


Overview

ArtCAM Pro 2008 offers all the original features of ArtCAM Pro 9.1 and the following new features:

  • New ArtCAM Workflow. In previous versions of ArtCAM Pro, you could only work with models. You can now work with projects, in which you can store multiple models, assemblies and replica meshes.
  • Enhanced Project Tree. Following the introduction of projects, the Project Tree on the Project tab has changed. Each of the new items in the Project Tree has its own associated context-menu. Almost all of the items familiar to the Project Tree in previous versions of ArtCAM Pro either have an entirely new context-menu or additional options. It is now far easier to work directly from the Project Tree.
  • Revised File Menu Options. As a result of the new workflow and features in ArtCAM Pro, there have been changes to the Main Menu bar layout.
  • Enhanced Bitmap Import. You can now create a new model from a broader range of bitmap image files, or import any of them into an open ArtCAM model as a new bitmap layer:
  • Enhanced 3D Model Import . You can now import a broad range of triangle and surface models into an open ArtCAM model as a relief or as a replica mesh in the Project Tree.
  • Enhanced Bitmap To Vector Tool. In previous versions of ArtCAM Pro, the Vectors From Bitmap dialog box allowed you to create vector artwork around the outline of all areas of an image on a bitmap layer drawn in the current Primary Colour, together with those colours from the Colour Palette linked to the Primary Colour. All of the settings associated with the Vectors From Bitmap dialog box have now been consolidated onto a single page of settings displayed in the Assistant window. Moreover, you can now calculate a vector centreline from all areas of the bitmap layer in the current Primary Colour, together with those colours that are linked to the Primary Colour. This is particularly useful for calculating a centreline from bitmap images of text.
  • Modified Primary and Secondary Colours. In previous versions of ArtCAM Pro, the default Primary Colour in the Colour Palette is white and the default Secondary Colour is black. The default Primary Colour is now black and the default Secondary Colour is white.
  • Enhanced Swept Profile Tools. All of the settings previously found in each of the steps associated with the Extrude, Spin and Turn Wizards have each been consolidated onto a single page of settings displayed in the Assistant window.
  • Enhanced Shape Editor. In previous versions of ArtCAM Pro, you could only create three-dimensional shapes using the Shape Editor tool and the bitmap image shown in the 2D View window. You can now project an image hosted on a bitmap layer onto the composite relief shown in the 3D View window and then use the Shape Editor tool to create three-dimensional shapes on a selected relief layer directly from there.
  • New Magic Wand Tool. You can now create vector boundaries around adjacent consistently coloured areas of a bitmap layer or contiguous areas of the composite relief at a consistent height.
  • New Vector Boundary Tool. You can now create vector boundaries from the composite relief or a selected relief layer. The resulting vector artwork can be used as an efficient machining boundary in several toolpaths, a boundary for envelope distortion, smoothing, applying texture or scaling, and for cleaning-up scanned data.
  • Enhanced Interactive Sculpting. You can now limit the reach of any of the tools available when sculpting the composite relief. This is particularly useful for engraving work which demands a strict Z range.
  • Enhanced Lights and Material Settings. The new Modelling Default and Simulation Default shading options replace the Default option available in previous versions of ArtCAM Pro. The settings associated with the Default option available in previous versions of ArtCAM Pro are now named Old Default. You can store custom settings as the Modelling Default and the Simulation Default so that these are used when viewing the composite relief and simulated toolpaths in the 3D View window.
  • New Relief Layer Thumbnails. In previous versions of ArtCAM Pro, it was not possible to determine the content on a specific relief layer unless it was actually visible in the 3D View window. Each relief layer now has its own thumbnail image, allowing you to check its content irrespective of whether it is currently visible in the 3D View window or not.
  • New Slice Relief Tool. The new Slice Relief tool allows you to divide the composite relief or the content on a single relief layer into slices.
  • Enhanced Machine Relief Toolpath. You can now machine as closely as possible to the composite relief above or below its base height using a chosen tool. ArtCAM Pro calculates a boundary vector using the tool geometry. You can also use a 3D Offset machining strategy to produce a toolpath where the stepover is consistent when machining the composite relief, irrespective of direction . This technique is best suited to machining areas which require a constant stepover and works well on steep and near vertical surfaces. Alternatively, you can use a 3D Offset Spiral machining strategy to produce a spiral toolpath where the stepover is consistent when machining the composite relief, irrespective of direction. This minimises the number of lifts of the tool and maximises cutting time while maintaining more constant load conditions and deflections on the tool.
  • Enhanced Feature Machining Toolpath. All of the settings originally found on the Create Raised Feature, Create Recessed Feature and Create Centreline Feature pages have now been consolidated on the Feature Machining page. When creating a raised or recessed feature using and angled Feature Tool, you can now extend the sharpening of the external corners to the bottom of the feature.
  • Enhanced Z Level Roughing Toolpath. You can now machine as closely as possible to the composite relief above or below its base height using a chosen tool. ArtCAM Pro calculates a boundary vector using the tool geometry. You can also use the Z dimensions of the composite relief to control the position of the first and last Z slices.
  • Enhanced Smart Engraving Toolpath. The overall calculation time for the Smart Engraving toolpath is noticeably faster and its resulting moves are far cleaner.
  • New Drill Bank Toolpath. The new Drill Bank toolpath allows you to drill at the centre of each vector in a selection of artwork, typically circular. You can configure any type of Drill Bank pattern such as L, + or T shapes containing any number of drills to match the Drill Bank on your machine. ArtCAM Pro considers the selected geometry and applies a Drill Bank toolpath for all X and Y axis holes containing a 32 mm (1.26") pitch (standard pitch value for most machines).
  • Enhanced Drilling Toolpath. When creating drill holes, you can now define the height above the material block at which you want your cutting tool to make the transition from the rapid rate to the plunge rate, which prevents the tool colliding with uneven material surfaces during rapid moves.
  • Enhanced Profiling Toolpath. When creating a Profiling toolpath including lead moves you can now produce a single ramp of continuous motion from the top of the material to the full depth of cut. This prevents the tip of the tool from going straight down into the material surface.
  • Enhanced Toolpath Batch Calculation. The new Optimize Feed Rates option allows machining times to be reduced by up to 50% and so gives increased productivity and faster delivery in a wide range of manufacturing operations. Other benefits include reduced wear on both cutting tools and CNC machines, improved surface finish, and less need for the operator to supervise machining.
  • Enhanced Toolpath Transform. You can now rotate a toolpath around a defined rotation centre, move a toolpath to an absolute position, toggle the display of all toolpath moves behind and below the surface of the composite relief, as seen in the 3D View window, project a toolpath directly onto the surface of the composite relief and move and rotate a 2D toolpath using its toolpath preview shown in the 2D View window.
  • Enhanced Toolpath Simulation. You can now define the resolution of the toolpath simulation or render any toolpath simulation shown in the 3D View window from a choice of twenty-two shading sets available from the Shading list box in the Toolpath Simulation area of the Toolpaths Home page.
  • New Toolpath Simulation To Relief Layer Tool. You can now create a new relief layer from a toolpath simulation shown in the 3D View window.
  • Enhanced ArtCAM Options Page. You can now control which type of bridges, or tabs, are created by default in ArtCAM Pro. Three-dimensional bridges possess a triangular cross-section and do not have any associated retract or plunge moves. You can also change the colour associated with a toolpath simulation shown in the 2D View window as a solid or the colour associated with simulated toolpaths shown in the 3D View window, and define the resolution of the relief in the ArtCAM model resulting from an assembly or replica mesh.
  • Enhanced Twiddle Tool. Continuing advances in 3D graphics hardware are now utilised by ArtCAM Pro to provide appreciably faster manipulation of the content shown in the 3D View window.

Only new features available in ArtCAM Pro are documented here.


New ArtCAM Workflow

In previous versions of ArtCAM Pro you would work with a single ArtCAM model file (*.art) in each ArtCAM session. In ArtCAM Pro 2008, you can work with several ArtCAM model files in a single session as part of an ArtCAM project. Each project file (*.3dp) hosts as many models as you like, as well as assemblies and replica meshes.

You can still create models independently in the same way as in previous versions of ArtCAM Pro, and then import them into a project.

In This Section

Working With Projects

Working With Models

Working With Assemblies

Working With Replica Meshes

Using the Nudge Tool

Using the Scale Tool


Working With Projects

An ArtCAM project hosts any number of ArtCAM models, assemblies and triangle mesh replicas. The ArtCAM model contains vector and bitmap artwork, reliefs and toolpaths. An assembly contains triangle mesh replicas of ArtCAM models, shading and lighting information or further assemblies. Providing that a replica mesh has been created from an ArtCAM model stored as part of the same project, it also hosts a link to the ArtCAM model file from which it originates.

A single assembly hosts any number of replica meshes or further assemblies along with their own associated replica meshes. You can create a relief layer in an open ArtCAM model directly from a replica mesh, or an assembly providing that it has an associated replica mesh.

Assemblies are useful for a number of reasons. Firstly they are very useful for visualization, as they allow you to view both the front and back surfaces of a piece simultaneously. In addition, they can be replicated, scaled, positioned and rotated. Although an assembly can be manipulated in three-dimensional space, you cannot edit the actual shape of the assembly itself.

A model can be created:

  • from the Models folder Models Folder Icon - Project Tree in the Project Tree. For details, see Creating a New Model.
  • by duplicating an existing model in the Project Tree. For details, see Creating a Duplicate Model.
  • by importing a previously saved model. For details, see Importing a Model.

An assembly can be created:

  • from the root Assembly Root Assembly Icon - Project Tree in the Project Tree. For details, see Creating an Empty Assembly.
  • by copying and pasting an existing assembly Assembly Icon - Project Tree in the Project Tree. For details, see Copying and Pasting an Item.
  • by importing an ArtCAM Assembly file. For details, see Importing an Assembly.

A replica mesh can be created:

  • from the composite relief within an ArtCAM model. For details, see Adding a Replica Mesh to a Project.
    • When a replica mesh is added to a project, it is associated with the assembly that is currently selected in the Project Tree. You can click and drag the replica mesh to adjust its position in the overall Project Tree structure. For details, see Moving an Item.
  • by copying and pasting an existing replica mesh Replica Mesh Icon - Project Tree in the Project Tree. For details, see Copying and Pasting an Item.
  • by importing a compatible triangle model; or
  • by importing a compatible surface model. For details, see Importing a Replica Mesh.

In This Section

Creating a New Project

Opening a Project

Using the Project Tree

Saving a Project

Closing a Project


Creating a New Project

To create a new ArtCAM Project:

  1. Click on the Create New Project icon Create Project Icon in the Projects area of the Assistant's Getting Started page.
    • Alternatively, you can click on the File > New > Project option from the Main Menu bar.

      ArtCAM Pro opens with only the Project tab visible in the left panel. This tab contains the Project Tree, which consists of three default items:

    • The Project item

      This is represented by the Project Icon - Project Tree icon and is the root of the Project Tree. It is named (Untitled) by default.

    • You can give the project a name when it is saved for the first time. For details, see Saving a Project.
    • The Models folder item

      This is represented by the Models Folder Icon - Project Tree icon and hosts any number of ArtCAM models. For further details, see Working with Models.

    • The root Assembly item

      This is represented by the Root Assembly Icon - Project Tree icon and hosts any number of assemblies and their associated replica meshes. For further details, see Working with Assemblies.

      You cannot delete any of these items from the Project Tree, or rename them.

See Also

Working With Projects

Opening a Project

Using the Project Tree

Saving a Project

Closing a Project


Opening a Project

To open an existing ArtCAM project:

  1. Click on the Open Existing Project icon Open Project Icon in the Projects area of the Assistant's Getting Started page to display the Open dialog box:

    Open Dialog Box

    • Alternatively, you can click on the File > Open... menu option from the Main Menu bar or press the Ctrl + O keys on your keyboard to display the Open dialog box.
    • If you have Ring Projects from ArtCAM JewelSmith version 6 or earlier, then you can also open 3D Assembly files (*.3da) associated with the original project. You should be aware that older projects might not contain all of the data required to use some of the tools. Also a model will not be associated with a replica mesh in legacy projects. The Edit Model menu option will not work.
  2. Make sure that ArtCAM File (*.art; *.3dp; *.3da; *.rlf) option is selected in the Files of type list box.
    • Only ArtCAM Project Files (*.3dp) and ArtCAM Assembly Files (*.3da) result in a project being opened on the Project tab.
  3. Click on the Look in list box and select the folder in which the file that you want to open is stored.
  4. Once you have found the file, click on its file name. Its name appears in the File name box.
  5. Click on the Open button to open the file and display the Project page.

    The Project page contains the Project Tree and a selection of tools that can be used to manipulate the assemblies and replica meshes within the current project.

    • The name given to the project is shown to the right of the control icon in the main title bar:

      The name of the 3D View is only included in the main title bar by default if the Maximise Views on Startup option is selected in the Miscellaneous area of the ArtCAM Options page.

See Also

Working With Projects

Creating a New Project

Using the Project Tree

Saving a Project

Closing a Project


Opening Recent Projects

You can quickly open any of the last four projects that you have been working on in ArtCAM Pro.

To open a recent project:

  1. Beneath the Open Existing Project icon Open Project Icon in the Projects area of the Assistant's Getting Started page, click on the name of the project that you want to open.
    • You can also open recently saved projects by clicking on the File option in the Main Menu bar, followed by the name of the required project listed above the Exit option. A combination of up to four ArtCAM projects and models are listed at once.
    • If you position the mouse cursor over the Open Recent Project Icon icon beside any of the four models listed in the Projects area of the Assistant's Getting Started page, its location on your computer is displayed.

See Also

Opening a Project


Using the Project Tree

The Project tab is the first of the three tabs located in the panel on the left of the ArtCAM Pro interface.

  • You can hide the panel which hosts the Project, Assistant and Toolpaths tabs by clicking on the Toggle Left Panel button ToggleAssistantButton-ON on the 2D View toolbar.

    If you want to reposition the panel, click and hold the left mouse button on the area to the right of the Toolpaths tab, drag the panel to the desired position and then release the mouse button to dock the panel in the chosen position.

The Project tab hosts a tree which maps the structure of both your ArtCAM projects and models. The overall layout of the Project tab depends on whether you are working with an ArtCAM project or an ArtCAM model independently.

If you are working on an ArtCAM project:

  • The Project Icon - Project Tree icon denotes the root of the Project Tree. If the current project has been saved, the name given to the project is shown beside this icon.
    • Click on the [image] icon beside any item in the Project Tree to show the items associated with this aspect of your ArtCAM Project. Click on the [image] icon to hide them again.

If you are working on an ArtCAM model independently:

  • The Open Model Icon - Project Tree icon denotes the root of the Project Tree. The name of the ArtCAM model is shown beside this icon.

There can be several other items in the Project Tree, depending on what you are working on. There are up to five types of item associated with an open project in the Project Tree:

  • The Models Folder Icon - Project Tree icon represents the Models folder, which is a default item within every project.
    • Right-click on the Models folder Models Folder Icon - Project Tree to display its context-menu. You can use this to create a new model or import an existing model:

      Models Context Menu - Project Tree

  • The Root Assembly Icon - Project Tree icon represents the root Assembly, which is a default item within every project.
    • Right-click on the root Assembly Root Assembly Icon - Project Tree to display its context-menu. You can use this to toggle its visibility, create another, import, export, copy, paste or create a relief:

      Root Assembly Context Menu - Project Tree

  • The Closed Model Icon - Project Tree icon represents each of the ArtCAM models that are part of the project. There can be several of these items in the Project Tree.
    • The Closed Model Icon - Project Tree icon changes to Open Model Icon - Project Tree whenever the model is open in ArtCAM Pro.
    • Right-click on a closed model Closed Model Icon - Project Tree to display its context-menu. You can use this to edit, duplicate, export, delete and rename a model:

      Closed Model Context Menu - Project Tree

    • Right-click on the open model Open Model Icon - Project Tree to display its context-menu. You can use this to close, duplicate, export, rename, resize, reposition, mirror and rotate the model, adjust its resolution, lights and material settings and toggle the display of its associated notes:

      Open Model Context Menu - Project Tree

  • The Assembly Icon - Project Tree icon represents each of the assemblies that are part of the project. There can be several of these items in the Project Tree.
    • Right-click on an assembly Assembly Icon - Project Tree to display its context-menu. You can use this to toggle its visibility, create another, import, export, cut, copy, paste, smooth, delete, rename or create a relief from the assembly:

      Assembly Context Menu - Project Tree

  • The Replica Mesh Icon - Project Tree icon represents each of the replica meshes that are part of the project. There can be several of these items in the Project Tree.
    • Right-click on an replica mesh Replica Mesh Icon - Project Tree to display its context-menu. You can use this to toggle its visibility, edit an associated model, export, cut, copy, smooth, delete, rename or create a relief from the replica mesh:

      Replica Mesh Context Menu - Project Tree

There are up to five types of item associated with an open model in the Project Tree:

  • The Views Icon - Project Tree icon represents the Views item, which is a default item within every open model.
    • Right-click on the Views item Views Icon - Project Tree to display its context-menu. You can use this to create a new 2D View window in the workspace area, display the snap grid in all 2D View windows, and control the snapping behaviour in all 2D View windows:

      Views Context Menu - Project Tree

  • The 2D View Icon - Project Tree icon represents an individual 2D View window. There is a single default 2D View item within every model.
    • Double-click on the 2D View Icon - Project Tree icon associated with any 2D View to make it the active view window in the workspace area.
    • Right-click on any of the 2D View windows 2D View Icon - Project Tree in the Project Tree to display its context-menu. You can use this to control the appearance of rulers and guidelines in the view, calculate a relief using the shape attributes applied to the bitmap artwork shown in the view, and delete or rename the view:

      View Context Menu - Project Tree

  • The [image] icon represents the Toolpaths item, which is a default item within every open model.
    • Right-click on the Toolpaths item [image] to display its context-menu. You can use this to calculate, edit, delete, save or simulate a single toolpath or calculate a batch of toolpaths at once:

      Toolpaths Context Menu - Project Tree

  • The ToolpathIconBlue icon represents each of the toolpaths created as part of the model.
    • Double-click on any toolpath ToolpathIconBlue to display the toolpath settings in the Assistant window. You can then edit or calculate the toolpath.
    • Right-click on any toolpath ToolpathIconBlue to display its context-menu. You can use this to edit, calculate, simulate, transform, delete or rename the toolpath:

      Toolpath Context Menu - Project Tree

  • The [image] icon represents each of the tools used in a calculated toolpath and its associated strategy.
    • Right-click on any tool item [image] to display its context-menu. You can use this to simulate, transform, save or delete the tool passes:

      Tool Context Menu - Project Tree

    • Examples of where a tool item reflects the strategy used include [image] for spirals and [image] for feature machining.

When you are working with projects, there is also a set of tools displayed beneath the Project Tree:

These buttons allow you to nudge, scale, mirror and adjust the material settings. For details, see Using the Nudge Tool, Using the Scale Tool, Mirroring an Assembly and Adjusting the Material Settings.

When either the root Assembly Root Assembly Icon - Project Tree or an assembly Assembly Icon - Project Tree is selected, all four buttons are displayed.

Whenever a replica mesh Replica Mesh Icon - Project Tree is selected, only the Nudge Nudge Button and Scale Scale Button buttons are displayed.

When any other item is selected in the Project Tree, all of the buttons are hidden from view.

In This Section

Toggling the Display of an Item

Renaming an Item

Moving an Item

Duplicating an Item

Cutting an Item

Copying and Pasting an Item

Deleting an Item


Toggling the Display of an Item

You can control which of the following items in the Project Tree are visible in the 3D View window:

  • the root Assembly Root Assembly Icon - Project Tree
  • an assembly Assembly Icon - Project Tree
  • a replica mesh Replica Mesh Icon - Project Tree

To toggle the display of an item in the Project Tree:

  1. Right-click on the item to display its context-menu, then click on the required option:
    • If you want to display the item in the 3D View, click on the Show menu option.

      If you are showing the root Assembly, its icon changes to Root Assembly Icon - Project Tree.

      If you are showing an assembly, its icon changes to Assembly Icon - Project Tree.

      If you are showing a replica mesh, its icon changes to Replica Mesh Icon - Project Tree.

    • If you want to hide the item in the 3D View, click on the Hide menu option.

      If you are hiding the root Assembly, its icon changes to Hidden Root Assembly Icon - Project Tree.

      If you are hiding an assembly, its icon changes to Hidden Assembly Icon - Project Tree.

      If you are hiding a replica mesh, its icon changes to Hidden Replica Mesh Icon - Project Tree.

    • When a model is open, you can toggle the visibility of the root Assembly Root Assembly Icon - Project Tree in the 3D View using the Toggle Assembly Visibility button Linked ArtCAM Graphics Directory Template [JewelSmith] in the 3D View toolbar.

See Also

Using the Project Tree

Renaming an Item

Moving an Item

Duplicating an Item

Cutting an Item

Copying and Pasting an Item

Deleting an Item


Renaming an Item

The default name given to an item in the Project Tree only indicates what kind of item it is. It is recommended that you name an item so that it provides an indication of its overall purpose in the scheme of the project.

You can rename any of the following items in the Project Tree:

  • an open model Open Model Icon - Project Tree
  • a closed model Closed Model Icon - Project Tree
  • a view 2D View Icon - Project Tree
  • a toolpath ToolpathIconBlue
  • an assembly Assembly Icon - Project Tree
  • a replica mesh Replica Mesh Icon - Project Tree

To rename an item:

  1. Right-click on the item that you want to rename in the Project Tree to display its context-menu, then click on the Rename menu option.
  2. Type the new name that you want to give to the item.
  3. Click anywhere in the empty space that surrounds the Project Tree to apply the name to the item.

See Also

Using the Project Tree

Toggling the Display of an Item

Moving an Item

Duplicating an Item

Cutting an Item

Copying and Pasting an Item

Deleting an Item


Moving an Item

You can move any of the following items in the Project Tree from one position to another:

  • the root Assembly Root Assembly Icon - Project Tree
  • an assembly Assembly Icon - Project Tree
  • a replica mesh Replica Mesh Icon - Project Tree
  • When you move the root Assembly Root Assembly Icon - Project Tree or an assembly Assembly Icon - Project Tree, all of its associated assemblies Assembly Icon - Project Tree and replica meshes Replica Mesh Icon - Project Tree are moved simultaneously. If you can see the Expand Icon - Project Tree icon beside the name of the assembly you want to move, this indicates that there are one or more other associated assemblies and/or replica meshes that will also be moved.

To move an item:

  1. Click on the item in the Project Tree that you want to move, holding down the left mouse button.
  2. Drag the original item onto the new item with which you now want to associate.
    • If the mouse cursor is anywhere in the Project Tree that the item cannot be moved, it changes to Prevent Move Icon - Project Tree.
    • If the mouse cursor is over another item in the Project Tree already associated with the original, it changes to Move Item, Copy Only Cursor - Project Tree, indicating that only a copy of the item can be created there.
    • If the mouse cursor is anywhere in the Project Tree that the item can be moved, it changes to Move Item Cursor - Project Tree.
    • If you hold down the Ctrl key on your keyboard when dragging an item, this forces a copy of the item to be created instead.
  3. Release the mouse button to set the new position of the item in the Project Tree.

    If a copy of the item being moved is created, it adopts the name of the original item with the Copy of prefix by default.

See Also

Using the Project Tree

Toggling the Display of an Item

Renaming an Item

Duplicating an Item

Cutting an Item

Copying and Pasting an Item

Deleting an Item


Duplicating an Item

You can create a duplicate of any model in the Project Tree, whether it is open Open Model Icon - Project Tree or closed Closed Model Icon - Project Tree.

To duplicate a model:

  1. Right-click on the model in the Project Tree that you want to duplicate to display its context-menu, then click on the Duplicate menu option.
    • You cannot create a duplicate copy of the Models folder item Models Folder Icon - Project Tree in the Project Tree.

      A duplicate of the model is created directly below the the last model in the Project Tree. It is closed Closed Model Icon - Project Tree and adopts the name of the original model with a Copy of prefix by default. For example, a duplicate of a model named Model 1 is named Copy of Model 1.

See Also

Using the Project Tree

Toggling the Display of an Item

Renaming an Item

Moving an Item

Cutting an Item

Copying and Pasting an Item

Deleting an Item


Cutting an Item

You can cut the following items from the Project Tree:

  • an assembly Assembly Icon - Project Tree
  • a replica mesh Replica Mesh Icon - Project Tree
  • You can cut an assembly or replica mesh from the Project Tree regardless of whether it is currently visible or not. For details, see Toggling the Display of an Item.

The chosen item is removed from the Project Tree and placed on the ArtCAM clipboard. This is one way of deleting an item, but because it is placed on the ArtCAM clipboard it is not permanently lost. You can paste a copy of the item on the ArtCAM clipboard elsewhere in the Project Tree.

  • If you cut two items in succession, the item from the original cut is replaced by the item from the second cut.

To cut either an assembly or a replica mesh from the Project Tree:

  1. Right-click on the assembly Assembly Icon - Project Tree or replica mesh Replica Mesh Icon - Project Tree in the Project Tree that you want to cut, then click on the Cut menu option. The item is removed from the Project Tree and placed on the ArtCAM clipboard.

See Also

Using the Project Tree

Toggling the Display of an Item

Renaming an Item

Moving an Item

Duplicating an Item

Copying and Pasting an Item

Deleting an Item


Copying and Pasting an Item

You can copy and paste any of the following items in the Project Tree:

  • the root Assembly Root Assembly Icon - Project Tree
  • an assembly Assembly Icon - Project Tree
  • a replica mesh Replica Mesh Icon - Project Tree

A copy of the chosen item in the Project Tree is placed on the ArtCAM clipboard. You can then paste the item on the ArtCAM clipboard elsewhere in the Project Tree.

  • You can copy the root Assembly Root Assembly Icon - Project Tree , an assembly Assembly Icon - Project Tree or a replica mesh Replica Mesh Icon - Project Tree regardless of whether it is currently visible or not. Fordetails, see Toggling the Display of an Item.
  • The Copy menu option differs from the Cut option, which refers to actually removing an item from the Project Tree and placing it on the ArtCAM clipboard.
  • When you copy the root Assembly Root Assembly Icon - Project Tree or an assembly Assembly Icon - Project Tree, all of its associated assemblies Assembly Icon - Project Tree and replica meshes Replica Mesh Icon - Project Tree are copied simultaneously. If you can see the Expand Icon - Project Tree icon beside the name of the assembly you want to copy, this indicates that there are one or more other associated assemblies that will also be copied to the ArtCAM clipboard.
  • You can only paste the item(s) on the ArtCAM clipboard beneath the root Assembly Root Assembly Icon - Project Tree or an individual assembly Assembly Icon - Project Tree in the Project Tree.
  • If you copy the root Assembly Root Assembly Icon - Project Tree to the ArtCAM clipboard and then paste it in the Project Tree, it appears as a new assembly Assembly Icon - Project Tree.

To create a copy of an item:

  1. Right-click on the item that you want to copy to display its context-menu, then click on the Copy menu option to place a copy of the item on the ArtCAM clipboard.

To paste an item:

  1. Click to select the assembly item in the Project Tree beneath which you want to associate the item(s) on the ArtCAM clipboard.
  2. Right-click on the item to display its context-menu, then click on the Paste menu option to paste a copy of the item and all of its associated items on the ArtCAM clipboard to the Project Tree directly beneath the selected item.

See Also

Using the Project Tree

Toggling the Display of an Item

Renaming an Item

Moving an Item

Duplicating an Item

Cutting an Item

Deleting an Item


Deleting an Item

You can delete any item from the Project Tree, other than:

  • the Models folder Models Folder Icon - Project Tree
  • an open model Open Model Icon - Project Tree
  • the root Assembly Root Assembly Icon - Project Tree
  • the Views item Views Icon - Project Tree; and
  • the Toolpaths item

To delete an item:

  1. Right-click on the item that you want to delete from the Project Tree to display its context-menu, then click on the Delete menu option.

See Also

Using the Project Tree

Toggling the Display of an Item

Renaming an Item

Moving an Item

Duplicating an Item

Cutting an Item

Copying and Pasting an Item


Saving a Project

You can save a project as an ArtCAM Project File (*.3dp) only.

To save the project you are working on:

  1. Click on the File > Save option from the Main Menu bar.
    • You can also save the project by pressing the Ctrl + S keys on your keyboard.

      If you are saving the project for the first time, the Save Project dialog box is displayed:

      Save Project Dialog Box

    • You can also display the Save Project dialog box by clicking on the File > Save As... option from the Main Menu bar.
    • First click on the Save in list box, followed by the directory or folder on your computer in which you want to save the project.
    • Now type the name that you want to give to the project file in the File name box.
    • Next click on the Save button to save the project and close the Save Project dialog box.
    • The name given to the saved project is shown to the right of the control icon in the main title bar:

      Main Title Bar

      Thereafter any changes made to the project are saved immediately; overwriting the previous project file (*.3dp).

If you want to save a previously saved project with a different file name:

  1. Click on the File > Save As... option from the Main Menu bar to display the Save Project dialog box.
  2. Click on the Save in list box, followed by the directory or folder on your computer in which you want to save the project.
  3. Type the new name that you want to give to the project file in the File name box.
  4. Click on the Save button to save the project and close the Save Project dialog box.

    The new name given to the saved project replaces that which was originally shown to the right of the control icon in the main title bar.

See Also

Working With Projects

Creating a New Project

Opening a Project

Using the Project Tree

Closing a Project


Closing a Project

To close the project that you are working on:

  1. Click on the File > Close Project menu option from the Main Menu bar.

    If you click on the File > Close Project menu option before saving a new project, or any changes that you may have made to an existing project, a message box appears asking if you want to save the project or not.

    Save Project Message Box

    If you want to save the project:

    • Click on the Yes button to save the project and return to the Assistant's Getting Started page.

      The name of the saved project is listed beneath the Open Existing Project icon Open Project Icon in the Projects area of the Assistant's Getting Started page and is also listed in the File menu on the Main Menu bar.

    • If you close a project with a model still open, the model is closed simultaneously.

      If you do not want to save the project:

    • Click on the No button to close the message box and return to the Assistant's Getting Started page.

      If a previously saved project has not been changed in any way since it was opened, the project closes and ArtCAM Pro returns to the Assistant's Getting Started page.

See Also

Working With Projects

Creating a New Project

Opening a Project

Using the Project Tree

Saving a Project


Working With Models

This section tells you how to create and manage models both independently and as part of a project.

In This Section

Creating a New Model

Opening an Existing Model

Creating a Duplicate Model

Saving a Model

Closing a Model

Importing a Model

Exporting a Model

Deleting a Model


Creating a New Model

A model is an ArtCAM proprietary file which hosts the different aspects of a design: the vector and bitmap artwork, reliefs and toolpaths.

You can create an ArtCAM model as part of a project or independently.

There are four different ways to create a new model:

  • defining its size using imperial or metric measurements. For details, see Creating a Model.
  • defining its size as an exact number of pixels. For details, see Creating a Model using Pixels.
  • from a compatible image stored on the Windows clipboard; or
  • from a compatible image file. For details, see Creating a Model from an Image.

In every new model, a 2D View and a 3D View design window is created in the workspace area. The 2D View window is the area in which you draw or edit the bitmap and vector artwork that is used to create the relief layers that make up your complete design. The 3D View window is the area in which you can view a three-dimensional impression of your design.

Every new ArtCAM model has a single default vector, bitmap and relief layer.

See Also

Working With Models

Opening an Existing Model

Creating a Duplicate Model

Saving a Model

Closing a Model

Importing a Model

Exporting a Model

Deleting a Model


Creating a Model

To create a new model using a set of imperial or metric measurements:

  1. If you are creating a model as part of a project:
    • Right-click on the Models folder Models Folder Icon - Project Tree in the Project Tree to display its context-menu, then click on the New > Model... menu option.

      If you are creating a model independently:

    • Click on the Create New Model icon Create New Model Icon in the Models area of the Assistant's Getting Started page.

      The Size For New Model dialog box is displayed:

    • You can also press the Ctrl + N keys on your keyboard to display the Size For New Model dialog box.

      Size For New Model Dialog Box

  2. Make sure that the Units are set according to those in which you are working, either metric (mm) or imperial (inches), by clicking on the appropriate radio button.
  3. Define the Height (Y) and Width (X) according to the physical size of the model that you want to create.
  4. Click on the centre or any of the four corners of the box diagram to define the X-axis zero and Y-axis zero origin as shown below:

  5. Click and drag the slider to set the resolution of the model according to the requirements of your job, as shown below:

    Click and drag the slider to the right to increase the resolution of the model. Click and drag the slider to the left to decrease the resolution. Generally, approximately 1,000,000 points is a reasonable resolution at which to work.

    • You can use the Adjust Model Resolution button Adjust Model Resolution Button in the Model Editing toolset shown in the Model area of the Assistant's Home page to set the resolution after the model has been created.
  6. Click on the OK button to create the model according to your settings.

    If you are creating a model as part of a project, an open model Open Model Icon - Project Tree is shown beneath the Models folder Models Folder Icon - Project Tree in the Project Tree. Each new model is named (Untitled) by default.

    If you are creating a model independently, the open model Open Model Icon - Project Tree is the root of the Project Tree. The model is named (Untitled) by default.

See Also

Creating a New Model

Creating a Model using Pixels

Creating a Model from an Image

Creating a New Model from a File


Creating a Model using Pixels

To create a new model using an exact number of pixels:

  1. If you are creating a model as part of a project:
    • Right-click on the Models folder Models Folder Icon - Project Tree in the Project Tree to display its context-menu, then click on the New > Model (Specify Pixel Size)... menu option.

      If you are creating a model independently:

    • Click on the File > New > Model (Specify Pixel Size)... menu option from the Main Menu bar.

      The Size For New Model In Pixels dialog box is displayed:

      Size For New Model In Pixels Dialog Box

      If you are using the Size For New Model In Pixels dialog box for the first time, the value displayed in both the Width and Height boxes is 500 by default. Thereafter, ArtCAM Pro recalls the last pixel values you have used.

      If there is a compatible image on the Windows clipboard, the Open Clipboard option is active. If there is not, the option is greyed out.

    • You can create a model from any Windows or OS/2 Bitmap (*.bmp), Windows or OS/2 DIB (*.dib), Windows or CompuServe RLE (*.rle), JPEG Image - JFIF Compliant (*.jpg, *.jpeg, *.jpe and *.jfif), CompuServe Graphics Interchange (*.gif), Windows Enhanced Meta File (*.emf), Windows Meta File (*.wmf), Tagged Image File Format (*.tif and *.tiff), Portable Network Graphics (*.png) or Windows Icon (*.ico) file currently on the Windows clipboard.
  2. If you want to set the size of the model according to the exact number of pixels in the image on the Windows clipboard:
    • Click to select the Open Clipboard option. The number of pixels in the clipboard image is shown in the Width and Height boxes.
    • If you want a larger or smaller model than that resulting from the pixels found in the image on the Windows clipboard, type the new number of pixels in the Width and Height boxes.

      If you do not want to use the image on the Windows clipboard to set the size of the model:

    • First make sure that the Open Clipboard option is deselected.
    • If there is no compatible image on the Windows clipboard to begin with, the Open Clipboard option is already greyed-out.
    • Now define the width (X) of the model in the Width box
    • Next define the height of the model in the Height box.
  3. Click on the OK button to create the model according to the defined number of pixels.

    If you are creating a model as part of a project, an open model Open Model Icon - Project Tree is shown beneath the Models folder Models Folder Icon - Project Tree in the Project Tree. Each new model is named (Untitled) by default.

    If you are creating a model independently, the open model Open Model Icon - Project Tree is the root of the Project Tree. The model is named (Untitled) by default.

See Also

Creating a New Model

Creating a Model

Creating a Model from an Image

Creating a New Model from a File


Creating a Model from an Image

You can create a new model in ArtCAM Pro using any of the following types of image file:

  • Windows or OS/2 Bitmap (*.bmp)
  • Windows or OS/2 DIB (*.dib)
  • Windows or CompuServe RLE (*.rle)
  • JPEG Image - JFIF Compliant (*.jpg, *.jpeg, *.jpe and *.jfif)
  • CompuServe Graphics Interchange (*.gif)
  • Windows Enhanced Meta File (*.emf)
  • Windows Meta File (*.wmf)
  • Tagged Image File Format (*.tif and *.tiff)
  • Portable Network Graphics (*.png)
  • Windows Icon (*.ico)

To create a model using an image file:

  1. If you are creating a model as part of a project:
    • Right-click on the Models folder Models Folder Icon - Project Tree in the Project Tree to display its context-menu, then click on the New > From Image File... menu option.

      If you are creating a model independently:

    • Click on the File > New > From Image File... menu option from the Main Menu bar.

      The Load Photograph dialog box is displayed:

      Load Photograph Dialog Box

  2. Click on the Look in list box and select the folder on your computer in which the image file from which you want to create the model is stored.
  3. Click to select the image file from which you want to create the model. Its name is shown in the File name box.
  4. Click on the Open button to display the Set Model Size dialog box:

    Set Model Size Dialog Box

    The dimensions of the image file are shown in the Height and Width boxes; which are currently greyed-out. The Scanned d.p.i. option is selected in the Method area.

  5. If you know the resolution at which the original image was scanned, type this in the d.p.i. box. If not, use that which is currently shown.
  6. Make sure that the Units are set according to those in which you are working, either metric (mm) or imperial (inches), by clicking on the appropriate radio button.
  7. Click on the radio button in the centre or on any of the four corners of the box diagram shown in the Origin area to define the X-axis zero and Y-axis zero origin in the model.
  8. If you want to adjust the size of the image, and therefore the size of the resulting ArtCAM model:
    • First select the Image Size option in the Method area by clicking on its radio button.
    • Next define its new height (Y) in the Height box or its width in the Width box. The aspect ratio between the height and width is maintained.
  9. To set the maximum Z height of the relief layer created from the image as part of the model, type the value in the Height in Z box.
    • The default value shown in the Height in Z box remains as 1.0 irrespective of the units in which you are working. Make sure that the Z height is correct.
    • If you use an image with a high Z height, the resulting relief layer in the model is likely to be poor. You should only use images with a low Z height, such as textures.
  10. Click on the OK button to close the dialog box and create the model.

    If you are creating a model as part of a project, an open model Open Model Icon - Project Tree is shown beneath the Models folder Models Folder Icon - Project Tree in the Project Tree. Each new model is named (Untitled) by default.

    If you are creating a model independently, the open model Open Model Icon - Project Tree is the root of the Project Tree. The model is named (Untitled) by default.

    The image from which the model was created is hosted on the default bitmap layer named Bitmap Layer, and is shown in the 2D View window.

    • If you have used a colour image file, it is stored as a greyscale image on the default bitmap layer.

      The content on the default relief layer resulting from the image is shown in the 3D View window. The maximum Z height is displayed in the Model Information area of the Assistant's Home page.

See Also

Creating a New Model

Creating a Model

Creating a Model using Pixels

Creating a New Model from a File


Creating a New Model from a File

You can create a model using the ArtCAM Pro Open dialog box, which contains standard Windows features.

You can create a new model by opening a file in ArtCAM Pro saved in any of the following file formats:

  • ArtCAM Model (*.art)
  • ArtCAM Relief (*.rlf)
  • Windows or OS/2 Bitmap (*.bmp)
  • Windows or OS/2 DIB (*.dib)
  • Windows or CompuServe RLE (*.rle)
  • JPEG Image - JFIF Compliant (*.jpg, *.jpeg, *.jpe and *.jfif)
  • CompuServe Graphics Interchange (*.gif)
  • Windows Enhanced Meta File (*.emf)
  • Windows Meta File (*.wmf)
  • Tagged Image File Format (*.tif and *.tiff)
  • Portable Network Graphics (*.png)
  • Windows Icon (*.ico)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • AutoCAD 2D Drawing (*.dwg)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)
  • Portable Document Format (*.pdf)

To create a new model from a compatible file:

  1. If you are creating a model from the Assistant's Getting Started page, use any of the following methods to display the Open dialog box:
    • Click on the Open Existing Model icon Open Existing Model Icon in the Models area of the Assistant's Getting Started page
    • Press the Ctrl + O keys on your keyboard; or
    • Click on the File > Open... option from the Main Menu bar.

      Open Dialog Box

      If you are creating a model with another already open in ArtCAM Pro, use any of the following methods to display the Open dialog box:

    • Click on the Open File button Open File Button in the File area of the Assistant's Home page or on the Top Toolbar.
    • Press the Ctrl + O keys on your keyboard; or
    • Click on the File > Open... option from the Main Menu bar.
    • If you have not saved any changes that have been made to the open model before attempting to open another, a message box appears asking if you want to save the changes to the model. If you have not made any changes to the current model either whatsoever or since it was saved previously, it is closed immediately.
  2. Use either of the following methods to find the file from which you want to create a model:
    • By default, ArtCAM Pro lists ArtCAM proprietary files only (*.art, *.3dp, *.3da and *.rlf). You can display all compatible files by clicking on the Files of type list box followed by the All Files (*.*) option, or limit the files to an alternative format by clicking to select the specific file type in the Files of type list box.
    • You can use Look in list box and the Up One Level button Up One Level Button to navigate to the folder containing the file from which you want to create a model.
  3. Once you have located the file from which you want to create a model, click on its file name to select it. When you select the file, the Relief Info area of the dialog displays the file's dimensions in actual measurements and pixels where possible. The Model Preview area displays a thumbnail image of the file's contents where possible.

    If you select an ArtCAM model file (*.art), the thumbnail image shown in the Model Preview area contains the contents of the active 2D View window when the model was last saved.

    • When choosing a bitmap image, the greyscale representation shown in the Relief Info area provides an indication of the form that the resulting relief shall take. Consider that the brightest areas of the greyscale image reflect the highest areas in the resulting relief, while the darkest areas reflect the lowest.
  4. If you are creating a model from a *.bmp, *.gif, *.jpg, *.jpeg, *.jpe, *.jfif, *.tif or *.tiff image file, define in the Max Z box the maximum depth of the relief layer that you want to allow ArtCAM Pro to calculate.
    • The default value in the Min Z box is 0.000 mm and the default value in the Max Z box is 1.000 mm. Make sure that the Z heights are correct.
    • If you assign a high Z height to an image file, the detail in the resulting relief layer is likely to be poor. You should only assign a low Z height.
    • If you are using a Drawing Interchange File (*.dxf), Delcam DGK (*.dgk) or Portable Document File (*.pdf), ArtCAM Pro cannot generate a relief layer from the artwork within the file.
  5. Click on the Open button.

    If you have selected an ArtCAM model file (*.art), the Open dialog box closes, its design windows are displayed in the workspace area and all layer information is shown on the Layers tab.

    If you have selected an ArtCAM Relief file (*.rlf), the Open dialog box closes, a greyscale image of the composite relief is displayed in the 2D View window. A single default vector, bitmap and relief layer is listed on the Layers tab.

    If you have selected a Windows Bitmap (*.bmp), CompuServe image (*.gif), JPEG (*.jpg, *.jpeg, *.jpe or *.jfif), or Tagged Image Format (*.tif or *.tiff) file, the Open dialog box closes, then the Set Model Size dialog box is displayed with the Image size option in the Method area selected by default:

    Set Model Size Dialog Box

    • If you know the resolution at which the image was originally scanned, select the Scanned d.p.i option by clicking on its radio button and then type this value in the d.p.i. box. If you do not, then leave the value as it is currently shown.
    • Make sure that the Units are set according to those in which you are working, metric (mm) or imperial (inches), by clicking on the appropriate radio button.
    • Define the height (Y) of the model in the Height box, followed by the width (X) in the Width box.
    • Define the X-axis zero and Y-axis zero origin in the model by clicking on the appropriate radio button on the diagram in the Origin area.
    • Click on the OK button to close the dialog box and create the model. A single default vector, bitmap and relief layer is listed on the Layers tab.

      If you select a Drawing Interchange Format (*.dxf), AutoCAD 2D drawing (*.dwg), DUCT picture (*.pic), Delcam DGK (*.dgk) or Portable Document Format (*.pdf) file, the Open dialog box closes, then the Size For New Model dialog box is displayed:

      Size For New Model Dialog Box

      For details on how to complete the Size For New Model dialog box, see Creating a Model.

      Click on the OK button to close the Size For New Model dialog box.

    • If you are opening a Delcam DGK file (*.dgk) and it does not contain any vector artwork, the following message box is displayed:

      DGK No Suitable Wireframe Message Box

      Click on the OK button to close the message box.

      If you are opening a Drawing Interchange (*.dxf) or AutoCAD 2D drawing (*.dwg) file, the Imported File dialog box is displayed:

      If you click on the Cancel button a model is created equal to the dimensions previously seen in the Size For New Model dialog box, but the vector artwork in the original file is not included in the model.

      If you want to include the vector artwork, make sure that the settings are correct:

    • If you want to position the imported vector data in the centre of the vector layer, click to select the Centre in Page option.
    • Make sure that the units of measurement (mm or inches) for the imported vector data are the same as those being used in the ArtCAM model by clicking on the appropriate radio button in the File Units area.
    • If you want to identify all self-intersecting spans in the vector data within tolerance, make sure that the Check for crossings and self-intersections option is selected and that the appropriate tolerance is defined in the Intersection Tolerance box.
    • Self-intersecting spans are shown in red when selected with white circular shapes marking the positions where the spans overlap.
    • If you want to rejoin any spans in the vector data that have been 'exploded' within tolerance, make sure that the Automatically rejoin vectors option is selected and that the appropriate tolerance is defined in the Rejoining Tolerance box.

      Click on the OK button to close the dialog box and import the vector artwork.

    • Any layer information within Drawing Interchange (*.dxf) or Delcam DGK (*.dgk) files is preserved in ArtCAM Pro. A separate vector layer is created for each layer within the original file.

      If you are opening a Portable Document File (*.pdf), ArtCAM Pro creates a new model with a separate vector and bitmap layer for each of the pages within the PDF document and names each of the layers using the filename_page number convention. For example, the layer relating to the first page of the document might be labelled Brochure_(1).

    • ArtCAM Pro does not currently support layers (or 'Optional Content Groups') within Portable Document Format files (*.pdf).

See Also

Creating a New Model

Creating a Model

Creating a Model using Pixels

Creating a Model from an Image


Opening an Existing Model

You can open an ArtCAM model as part of a project or independently.

To open an ArtCAM model independently:

  1. Click on the Open Existing Model icon Open Existing Model Icon in the Models area of the Assistant's Getting Started page to display the Open dialog box:

    Open Dialog Box

    • You cannot open ArtCAM Project Files (*.3dp) or 3D Assembly Files (*.3da) as a model. If you select a file in either of these file formats, a project is opened instead.
  2. Click on the Files of type list box, followed by the option for the type of file that you want to open as a model.
  3. Click on the Look in list box and select the folder on your computer in which the file that you want to open is stored.
  4. Once you have found the file, click on its name. Its name appears in the File name box.
  5. Click on the Open button. Depending on which file you have selected, ArtCAM Pro either opens the model immediately or begins the process of creating a model.

    When opening large files, a progress bar is shown:

    If you select an ArtCAM Model file (*.art), the model is opened with the Assistant's Home page displayed.

    If you select an image file, the Set Model Size dialog box is displayed:

    Set Model Size Dialog Box

    If you are opening a Drawing Interchange (*.dxf), AutoCAD 2D drawing (*.dwg), DUCT picture (*.pic ) or Portable Document Format (*.pdf) file, the Size For New Model dialog box is displayed:

    Size For New Model Dialog Box

    Click on the OK button to close the Size For New Model dialog box.

    If you are opening a Portable Document File (*.pdf), ArtCAM Pro creates a new model with a separate vector and bitmap layer for each of the pages within the PDF document and names each of the layers using the filename_page number convention. For example, the layer relating to the first page of the document might be labelled Brochure_(1).

    • ArtCAM Pro does not currently support layers (or 'Optional Content Groups') within Portable Document Format files (*.pdf).

      If you are opening a Drawing Interchange (*.dxf) or AutoCAD 2D drawing (*.dwg) file, the Imported File dialog box is displayed:

      If you click on the Cancel button a model is created equal to the dimensions previously seen in the Size For New Model dialog box, but the vector artwork in the original file is not included in the model.

      If you want to include the vector artwork, make sure that the settings are correct:

    • If you want to position the imported vector data in the centre of the vector layer, click to select the Centre in Page option.
    • Make sure that the units of measurement (mm or inches) for the imported vector data are the same as those being used in the ArtCAM model by clicking on the appropriate radio button in the File Units area.
    • If you want to identify all self-intersecting spans in the vector data within tolerance, make sure that the Check for crossings and self-intersections option is selected and that the appropriate tolerance is defined in the Intersection Tolerance box.
    • Self-intersecting spans are shown in red when selected with white circular shapes marking the positions where the spans overlap.
    • If you want to rejoin any spans in the vector data that have been 'exploded' within tolerance, make sure that the Automatically rejoin vectors option is selected and that the appropriate tolerance is defined in the Rejoining Tolerance box.

      Click on the OK button to close the dialog box and import the vector artwork.

    • Any layer information within DXF (*.dxf) or Delcam DGK (*.dgk) files is preserved in ArtCAM Pro. A separate vector layer is created for each layer within the original file.
    • If you are opening a Delcam DGK file (*.dgk) and it does not contain any vector artwork, the following message box is displayed:

      DGK No Suitable Wireframe Message Box

      Click on the OK button to close the message box.

To open an ArtCAM model within a project:

  1. Right-click on the closed model Closed Model Icon - Project Tree in the Project Tree that you want to open to display its context-menu, then click on the Edit menu option to open the model. The Assistant's Home page is displayed by default.
    • You can also double-click on the closed model Closed Model Icon - Project Tree in the Project Tree to open the model.

      The icon associated with the model in the Project Tree changes from Closed Model Icon - Project Tree to Open Model Icon - Project Tree, indicating that it is now open.

      The open model is always last in the list of models beneath the Models folder Models Folder Icon - Project Tree in the Project Tree.

See Also

Working With Models

Creating a New Model

Creating a Duplicate Model

Saving a Model

Closing a Model

Importing a Model

Exporting a Model

Deleting a Model


Opening Recent Models

When working on models independently, you can quickly open any of your four most recent models.

To open a recent model:

  1. Beneath the Open Existing Model icon Open Existing Model Icon in the Models area of the Assistant's Getting Started page, click on the name of the model that you want to open.
    • You can also open recently saved models by clicking on the File option in the Main Menu bar, followed by the name of the required model listed above the Exit option. A combination of up to four models and projects are listed at once.
    • If you position the mouse cursor over the Open Recent Model Icon icon beside any of the four models listed in the Models area of the Assistant's Getting Started page, its location on your computer is displayed.

See Also

Opening an Existing Model


Creating a Duplicate Model

You can create a duplicate copy of any model in the Project Tree, whether it is currently open Open Model Icon - Project Tree or not Closed Model Icon - Project Tree.

To create a duplicate copy of a model:

  1. Right-click on the model in the Project Tree that you want to duplicate to display its context-menu, and then click on the Duplicate menu option.
    • You cannot create a duplicate copy of the Models folder item Models Folder Icon - Project Tree in the Project Tree.

      A duplicate copy of the model is created directly below the last model in the Project Tree. It is closed Closed Model Icon - Project Tree and adopts the name of the original model with a Copy of prefix by default. For example, a duplicate of a model named Model 1 is named Copy of Model 1.

See Also

Working With Models

Creating a New Model

Opening an Existing Model

Saving a Model

Closing a Model

Importing a Model

Exporting a Model

Deleting a Model


Saving a Model

You can save a model as an ArtCAM Model File (*.art) only.

To save a model you are working on as part of the current project:

  • Right-click on the open model Open Model Icon - Project Tree in the Project Tree to display its context menu, then click on the Update Project menu option.
  • When working within a project, any changes that you make to a model can be saved using the Update Project option on the context-menu displayed by right-clicking on an open model in the Project Tree. However, the updated model is not saved as part of the project until the project itself is saved again.

You can use any of the following methods to save a model when working outside of a project:

  • Click on the Save button Save Button in the File area of the Assistant's Home page or on the Top Toolbar.
    • The Top Toolbar is hidden by default. Click on the Window > Show Top Toolbar menu option from the Main Menu bar to toggle the display of the Top Toolbar.
  • Click on the File > Save... menu option on the Main Menu bar.
  • Press the Ctrl + S keys on your keyboard.

    If you are saving the model for the first time, the Save Model As... dialog box is displayed:

    Save Model As... Dialog Box

    • The ArtCAM Model (*.art) option shown in the Save as type list box is the only file format in which you can save the model.
    • First click on the Save in list box, followed by the folder on your computer in which you want to save the model.
    • Now type the name that you want to give to the model in the File name box.
    • Next click on the Save button to save the model and close the dialog box.

      Thereafter any changes made to the model are saved immediately; overwriting the previous model file (*.art).

See Also

Working With Models

Creating a New Model

Opening an Existing Model

Creating a Duplicate Model

Closing a Model

Importing a Model

Exporting a Model

Deleting a Model


Closing a Model

To close the model that you are working on as part of a project:

  1. Right-click on the open model Open Model Icon - Project Tree in the Project Tree to display its context menu, then click on the Close menu option.

    If you have not made any changes to the model since it was opened, it closes immediately.

    The model icon in the Project Tree changes to Closed Model Icon - Project Tree; indicating that it is now closed.

    If you attempt to close the model before saving any changes that you have made since it was opened, a message box is displayed asking if you want to update the projct with your changes:

    If you want to save the changes to the model before it is closed:

    • Click on the Yes button. The message box closes and the model icon in the Project Tree changes to Closed Model Icon - Project Tree; indicating that it is now closed.

      If you want to close the model without saving any changes since it was either created or saved previously:

    • Click on the No button. The message box closes and the model icon in the Project Tree changes to Closed Model Icon - Project Tree; indicating that it is now closed.

To close the model that you are working on independently:

  1. Click on the File > Close Model menu option from the Main Menu bar.

    If you click on the File > Close Model menu option before saving a new model, or any changes that you may have made to an existing model, a message box is displayed asking if you want to save your changes:

    If you do not want to save the changes to the model before it is closed:

    • Click on the No button to close the message box and return to the Assistant's Getting Started page.

      If you want to save the changes to the model before it is closed:

    • Click on the Yes button.

      If you are saving the model for the first time, the Save Model As... dialog box is displayed:

      Save Model As... Dialog Box

    • First click on the Save in list box and then on the folder on your computer in which you want to save the model.
    • Now type the name that you want to give to the model in the File name box.
    • Next click on the Save button to save the model, close the dialog box and return to the Assistant's Home page.
    • The ArtCAM Model (*.art) option shown in the Save as type list box is the only file format in which you can save the model.

      If you are working with a previously saved model, any changes made are saved immediately; overwriting the previous model file (*.art).

    • The names of the four most recent saved models are listed beneath the Open Existing Model icon Open Existing Model Icon in the Models area of the Assistant's Getting Started page as well as in the File menu on the Main Menu bar.

      If an existing model has not been changed in any way since it was opened, the model closes and ArtCAM Pro returns to the Assistant's Getting Started page.

See Also

Working With Models

Creating a New Model

Opening an Existing Model

Creating a Duplicate Model

Saving a Model

Importing a Model

Exporting a Model

Deleting a Model


Importing a Model

You can import an ArtCAM Model (*.art) into an open project. The model is saved as part of the project immediately after it is imported.

You can import a model regardless of whether or not another model which is already part of the current project is open. If you import a model when another listed in the Project Tree is already open, the imported model is not opened in its place. All models remain closed after being imported into a project.

To import an ArtCAM model into the current project:

  1. Right-click on the Models folder Models Folder Icon - Project Tree in the Project Tree to display its context-menu, then click on the Import... menu option to display the Import Model dialog box:

    Import Model Dialog Box

  2. Click on the Look in list box followed by the folder on your computer in which the ArtCAM model that you want to import is stored.
  3. Click on the name of the ArtCAM model that you want to import. Its name appears in the File name box.
  4. Click on the Open button to import the selected ArtCAM model into the current project.

    If this is the first model that you have imported:

    • the expand icon [image] is now shown beside the Models folder Models Folder Icon - Project Tree in the Project Tree.
  5. Click on the expand icon [image] to expand the Models folder Models Folder Icon - Project Tree and display all of the models associated with the current project.
    • If the collapse icon [image] is shown beside the Models folder Models Folder Icon - Project Tree, all of the models associated with the current project are already visible in the Project Tree.
    • You cannot adjust the order in which the models are listed in the Project Tree.

      If this is the first model that you have imported:

    • a new ArtCAM model Closed Model Icon - Project Tree is shown directly beneath the Models folder Models Folder Icon - Project Tree in the Project Tree. This icon indicates that the model is currently closed.

      If this is not the first model that you have imported:

    • a new ArtCAM model Closed Model Icon - Project Tree is shown directly below the previous model in the Project Tree.
    • You can click on the collapse icon [image] beside the Models folder Models Folder Icon - Project Tree to hide the list of models in the current project.

See Also

Working With Models

Creating a New Model

Opening an Existing Model

Creating a Duplicate Model

Saving a Model

Closing a Model

Exporting a Model

Deleting a Model


Exporting a Model

You can export a model from a project as an ArtCAM model file (*.art) only. When exporting a model, all of its associated elements are exported simultaneously. This includes all vector and bitmap artwork, relief layers and toolpaths.

To export a model:

  1. Right-click on the model in the Project Tree that you want to export to display its context-menu, then click on the Export... menu option to display the Export Model dialog box:

    Export Model Dialog Box

    • You can export a model from the Project Tree when it is open or closed. The Closed Model Icon - Project Tree icon indicates that a model is closed, while the Open Model Icon - Project Tree icon indicates that a model is open.
  2. Click on the Save in list box and select the folder on your computer in which you want to save the model.
  3. Define a name for the model in the File name box.
  4. Click on the Save button to close the dialog box and save the model file.

See Also

Working With Models

Creating a New Model

Opening an Existing Model

Creating a Duplicate Model

Saving a Model

Closing a Model

Importing a Model

Deleting a Model


Deleting a Model

You can delete any model from a project, although it must be closed first.

To delete a model:

  1. Right-click on the closed model in the Project Tree Closed Model Icon - Project Tree that you want to delete to display its context-menu, then click on the Delete menu option. A message box appears asking if you want to delete the model or not:

  2. Click on the Yes button to close the message box and delete the model from the Project Tree.
    • You cannot delete the Models folder Models Folder Icon - Project Tree from the Project Tree.

See Also

Working With Models

Creating a New Model

Opening an Existing Model

Creating a Duplicate Model

Saving a Model

Closing a Model

Importing a Model

Exporting a Model


Working With Assemblies

This section tells you how to work with the Root Assembly and assemblies as part of a project.

In This Section

Creating an Empty Assembly

Copying and Pasting an Assembly

Creating a Relief from an Assembly

Mirroring an Assembly

Importing an Assembly

Exporting an Assembly

Deleting an Assembly

Adjusting the Material Settings


Creating an Empty Assembly

You can add an empty assembly to the Project Tree. No associated ArtCAM model file (*.art) is created along with the empty assembly, although you can associate an existing or imported replica mesh with this.

To create an empty assembly in the Project Tree:

  1. Click to select the root Assembly Root Assembly Icon - Project Tree or an assembly Assembly Icon - Project Tree in the Project Tree. Its name is emphasized in blue.
  2. Right-click on the selected assembly to display its context-menu, then click on the New menu option.
  3. Click on the Expand Icon - Project Tree icon beside the selected assembly in the Project Tree to display its associated items.

    A new assembly Assembly Icon - Project Tree is created directly beneath the root Assembly Root Assembly Icon - Project Tree or assembly Assembly Icon - Project Tree, depending on which was originally selected, and this is named New Assembly by default.

See Also

Working With Assemblies

Copying and Pasting an Assembly

Creating a Relief from an Assembly

Mirroring an Assembly

Importing an Assembly

Exporting an Assembly

Deleting an Assembly

Adjusting the Material Settings


Copying and Pasting an Assembly

You can create a copy of any assembly and paste it elsewhere in the Project Tree.

To copy and paste an assembly:

  1. Right-click on the root Assembly Root Assembly Icon - Project Tree or the assembly Assembly Icon - Project Tree in the Project Tree that you want to duplicate to display its context-menu, then click on the Copy menu option to place a copy of the selected assembly on the ArtCAM clipboard.
    • When you copy an assembly, all of its associated assemblies and replica meshes are copied simultaneously. If you can see the Expand Icon - Project Tree icon beside the name of the assembly you want to copy, this indicates that there are one or more other associated assemblies that will also be copied to the ArtCAM clipboard.
  2. Right-click on the assembly in the Project Tree beneath which you want to associate the assembly on the ArtCAM clipboard to display its context-menu, then click on the Paste menu option to paste a duplicate copy of the assembly and all of its associated items from the ArtCAM clipboard to the Project Tree directly beneath the selected assembly.

    A progress bar appears during the pasting process:

    Each time the assembly is pasted from the ArtCAM clipboard the resulting copy adopts the name of the original and is numbered sequentially.

    • You might want to change the name of the copy so that it can easily be distinguished from the original. Right-click on the duplicate assembly to display its context-menu, click on the Rename menu option and then type the new name that you want to give to the assembly. For details, see Renaming an Item.

See Also

Working With Assemblies

Creating an Empty Assembly

Creating a Relief from an Assembly

Mirroring an Assembly

Importing an Assembly

Exporting an Assembly

Deleting an Assembly

Adjusting the Material Settings


Creating a Relief from an Assembly

You can create a relief from any assembly item in the Project Tree, whether or not an ArtCAM model is already part of the project.

To create a relief layer from an assembly:

  1. Right-click on the root Assembly Root Assembly Icon - Project Tree or assembly Assembly Icon - Project Tree from which you want to create a relief to display its context-menu, then click on the Create Relief menu option.
    • If there are no replica meshes associated with the selected assembly item, the Create Relief menu option is greyed-out.

      A set of two relief layers is created for each of the replica meshes Replica Mesh Icon - Project Tree associated with the selected assembly. If there is no model currently open in which to create these relief layers, a new model is created in the Project Tree first.

    • You can set the resolution of the model resulting from the assembly using the ArtCAM Options page.

      The highest triangle in each replica mesh is converted into a new relief layer at the top of the layer stack that builds the composite relief representing the front surface of the piece, while the lowest triangle in each replica mesh is converted into a new relief layer at the top of the layer stack that builds the composite relief representing its back surface.

      A border equal to 10% of the bounding box that surrounds all of the replica meshes beneath the assembly is applied during the relief creation process.

      Each set of two relief layers adopts the name of the replica mesh, with the Top suffix applied to the relief layer associated with the front surface of the piece, and the Bottom suffix applied to the relief layer associated with its back surface. Each of the layers are visible and the Add relief combine mode is applied by default.

See Also

Working With Assemblies

Creating an Empty Assembly

Copying and Pasting an Assembly

Mirroring an Assembly

Importing an Assembly

Exporting an Assembly

Deleting an Assembly

Adjusting the Material Settings


Mirroring an Assembly

You can mirror the root Assembly Root Assembly Icon - Project Tree or any assembly Assembly Icon - Project Tree in the Project Tree. You can either mirror the assembly along any of the three axes, or around its own origin.

To mirror an assembly:

  1. Click to select the assembly in the Project Tree that you want to mirror. Its name is emphasized in blue.
  2. Click on the Mirror button Mirror Button on the Project page to display its settings.
    • The name of the assembly in the Project Tree that you are mirroring is shown in the header above the settings. For example, Mirror - Root Assembly.
  3. In the Transform Relative To area, select the origin you want to use when mirroring the assembly:
    • If you want to mirror the assembly relative to the X=0, Y=0, Z=0 origin, select the World Centre option by clicking on its radio button. This method is selected by default.
    • If you want to mirror the assembly relative to its own origin, select the Component Centre by clicking on its radio button.
  4. If you want to mirror the assembly from the X to Y plane, select the Mirror X-Y option by clicking on its radio button.
  5. If you want to mirror the assembly from the Y to Z plane, select the Mirror Y-Z option by clicking on its radio button.
  6. If you want to mirror the assembly from the Z to X plane, select the Mirror Z-X option by clicking on its radio button.
  7. If you want to keep the original assembly and create the mirrored assembly as a new assembly in the Project Tree, make sure that the Copy option is selected.
  8. Click on the Apply button to mirror the assembly.
  9. Click on the Close Icon icon to close the settings.

See Also

Working With Assemblies

Creating an Empty Assembly

Copying and Pasting an Assembly

Creating a Relief from an Assembly

Importing an Assembly

Exporting an Assembly

Deleting an Assembly

Adjusting the Material Settings


Importing an Assembly

You can import an ArtCAM Project (*.3dp) or Assembly File (*.3da) into the Project Tree as an assembly.

To import an assembly:

  1. Right-click on the root Assembly Root Assembly Icon - Project Tree or assembly Assembly Icon - Project Tree in the Project Tree beneath which you want to import another assembly to display its context-menu, then click on the Import menu option to display the Import 3D Model dialog box:

    Import 3D Model Dialog Box

  2. Click on the Look in list box and select the folder on your computer in which the assembly that you want to import is stored. Triangle model files are listed in the window by default.
  3. Click on the name of the assembly that you want to import. Its name appears in the File name box.
  4. Click on the Open button to import the selected assembly into ArtCAM Pro. A progress bar appears during the import process:

  5. Click on the Expand Icon - Project Tree icon beside the selected root Assembly Root Assembly Icon - Project Tree or assembly Assembly Icon - Project Tree in the Project Tree to display its associated items. The imported assembly and all of its associated items are located directly beneath the selected assembly.

See Also

Working With Assemblies

Creating an Empty Assembly

Copying and Pasting an Assembly

Creating a Relief from an Assembly

Mirroring an Assembly

Exporting an Assembly

Deleting an Assembly

Adjusting the Material Settings


Exporting an Assembly

You can export the root Assembly Root Assembly Icon - Project Tree or an assembly Assembly Icon - Project Tree from the Project Tree as an ArtCAM Assembly (*.3da), Binary STL (*.stl), ASCII STL (*.stl), Wavefront Object (*.obj) or Delcam Machining Triangles (*.dmt) file.

To export an assembly:

  1. Right-click on the root Assembly Root Assembly Icon - Project Tree or assembly Assembly Icon - Project Tree in the Project Tree that you want to export to display its context-menu, then click on the Export... menu option to display the Export Assembly As… dialog box:

    Export Assembly As... Dialog Box

  2. Click on the Save in list box and select the folder on your computer in which you want to save the assembly.
  3. Type a name for the assembly in the File name box.
  4. Click on the Save as type list box, followed by the file type in which you want to save the assembly.
    • You can export an assembly as an ArtCAM Assembly (*.3da), Binary STL (*.stl), ASCII STL (*.stl), Wavefront Object (*.obj) or Delcam Machining Triangles (*.dmt) file only.
  5. Click on the Save button to close the dialog box and save the assembly file.

See Also

Working With Assemblies

Creating an Empty Assembly

Copying and Pasting an Assembly

Creating a Relief from an Assembly

Mirroring an Assembly

Importing an Assembly

Deleting an Assembly

Adjusting the Material Settings


Deleting an Assembly

You can delete any assembly from the Project Tree, other than the root Assembly Root Assembly Icon - Project Tree.

To delete an assembly:

  1. Right-click on the assembly Assembly Icon - Project Tree that you want to delete from the Project Tree to display its context-menu, then click on the Delete menu option.
    • You cannot delete the root Assembly Root Assembly Icon - Project Tree from the Project Tree.
    • When you delete an assembly, all of its associated assemblies Assembly Icon - Project Tree and replica meshes Replica Mesh Icon - Project Tree are deleted simultaneously. If you can see the Expand Icon - Project Tree icon beside the name of the assembly you want to delete, this indicates that there are one or more other associated assemblies that will also be deleted.

See Also

Working With Assemblies

Creating an Empty Assembly

Copying and Pasting an Assembly

Creating a Relief from an Assembly

Mirroring an Assembly

Importing an Assembly

Exporting an Assembly

Adjusting the Material Settings


Adjusting the Material Settings

You can shade the root Assembly Root Assembly Icon - Project Tree and any of the assemblies Assembly Icon - Project Tree in the Project Tree.

When shading the root Assembly Root Assembly Icon - Project Tree , you can render the item in the material in which you intend for it to be cast, apply a background image to the 3D View window and adjust the light settings.

When shading an assembly Assembly Icon - Project Tree, you can adopt the shading settings applied to the root Assembly Root Assembly Icon - Project Tree or choose to render it in a different material altogether. However, you cannot adjust the background image or light settings.

To shade the root Assembly Root Assembly Icon - Project Tree or an assembly Assembly Icon - Project Tree:

  1. Click to select the assembly in the Project Tree that you want to shade. Its name is emphasized in blue.
  2. Click on the Material button Material Button to display its settings.
    • The name of the item in the Project Tree that you are shading is shown in the header above the settings. For example, Material - New Assembly.
  3. Click on the Shading Setup list box, followed by the option for the material in which you intend to machine your design.
    • If you are shading an assembly Assembly Icon - Project Tree and want to use the same settings currently applied to the assembly in the level above in the Project Tree, click to select the From Parent option.
  4. Click on the Background list box, followed by the option for the background image that you want to apply to the 3D View window.
    • If you are shading an assembly Assembly Icon - Project Tree, this setting is not available.
  5. If you want to adjust the level of ambient light applied to the assembly item, you can either:
    • Click and drag on the slider. Drag to the left to reduce the light, and drag to the right to increase the light; or
    • Define the strength in the box to the right of the slider.
    • If you are shading an assembly Assembly Icon - Project Tree, this setting is not available.
  6. Click on the Close Icon icon to close the settings.

See Also

Working With Assemblies

Creating an Empty Assembly

Copying and Pasting an Assembly

Creating a Relief from an Assembly

Mirroring an Assembly

Importing an Assembly

Exporting an Assembly

Deleting an Assembly


Working With Replica Meshes

This section tells you how to work with replica meshes as part of a project.

In This Section

Adding a Replica Mesh to a Project

Editing an Associated Model

Creating A Relief From The Project Tree

Importing a Replica Mesh

Exporting a Replica Mesh

Deleting a Replica Mesh


Adding a Replica Mesh to a Project

When working on a model within a project, you can add a replica mesh of the composite relief to the Project Tree.

To create a triangle mesh and add it to the Project Tree:

  1. Click on the Create Triangle Mesh button Create Triangle Mesh Button in the Relief Tools area of the Assistant's Home page to display the Mesh Creator page.
  2. In the Triangulation Parameters area, define the tolerance in the Tolerance box that you want to use to control the number of triangles that are created.
  3. Define if and how a back face is created in the mesh:
    • If you want to create an open mesh, select the Open Mesh option by clicking on its radio button.
    • If you want to close the mesh using the composite relief resulting from the layer stack associated with the back surface of the piece, select the Close with Back Relief option by clicking on its radio button.
    • If you want to close the mesh with a flat plane at the Z zero height, select the Close with a Flat Plane option by clicking on its radio button.
    • If you want to close the mesh with an inverted copy of the composite relief resulting from the layer stack associated with the front surface of the piece, select the Close with Inverted Front option by clicking on its radio button.
    • If you want to close the mesh with an offset copy of the composite relief resulting from the layer stack associated with the front surface of the piece, select the Close with Offset option by clicking on its radio button and then define its thickness in the Thickness box directly below.
  4. If you intend to wrap the resulting mesh around a curved surface:
    • First click to select the Limit Triangles option.
    • Now click on the Triangle Length list box, followed by the option for the axes along which you limit the length of each triangle.

      If you want to limit the length of each triangle along both the X and Y-axis, click to select the Max Length option.

      If you want to limit the length of each triangle along the X-axis only, click to select the Max X Length option.

      If you want to limit the length of each triangle along the Y-axis only, click to select the Max Y Length option.

    • Next define the maximum length of the side(s) in each triangle in the Tri Side Length box.
    • If the Limit Triangles option is selected and the Tri Side Length is set to zero, a message box is displayed warning that a value greater than zero must be used when limiting triangles:

      Click on the OK button to close the message box.

  5. Click on the Create Triangles button to create the triangle mesh according to your chosen settings. The volume of the triangle mesh and the number of triangles created are shown in the Results area.
    • If there are no relief layers currently visible in the 3D View window, a message box is displayed warning that the triangle mesh has not been generated:

      Click on the OK button to close the message box. A second message box is displayed warning that the triangle mesh has not been created:

      Click on the OK button to close the message box.

  6. If you want to calculate the approximate weight of the piece after the manufacturing process:
    • First define the estimated shrinkage in volume as a percentage in the Shrinkage box
    • Next click on the Weight list box, followed by the option for the material in which you intend to manufacture the piece.
    • Now click on the Update button. The volume of the triangle mesh and/or the number of triangles created are updated in the Results area.
  7. Click on the Triangle Drawing list box, followed by the option that you want to use when rendering the triangle mesh in the 3D View window:
    • If you want to view the triangle mesh as a wireframe image, click to select the Wireframe option. Triangles viewed from the front are shown in blue, while triangles viewed from the back are shown in red.
    • If you want to view the triangle mesh as a shaded image, click to select the Shaded option. The Modelling Default shading options are used, unless you have changed them using the Lights and Material page.
  8. If you want to smooth the triangles in the resulting mesh:
    • First make sure that the Smooth Triangles option is selected.
    • Next define the angle of each triangle in the Smooth Angle box.
    • You can also smooth a replica mesh directly from the Project Tree using the Smooth option in the context-menu displayed by right-clicking on a replica mesh. When using this method, an angle of 17 degrees is always used.
  9. If you want to add the triangle mesh to the Project Tree:
    • First click on the Add To Project button. A new assembly Assembly Icon - Project Tree is created as the last item beneath the root Assembly Root Assembly Icon - Project Tree, and the replica mesh Replica Mesh Icon - Project Tree is directly associated with this. Both the new assembly and the replica mesh adopt the name of the ArtCAM model from which they originate.
    • If you click on the Project tab to display the Project Tree.
    • Click on the Expand Icon - Project Tree icon beside the new assembly in the Project Tree to display its associated replica mesh Replica Mesh Icon - Project Tree.

      If you want to associate the triangle mesh with an existing assembly in the Project Tree:

    • First click on the Copy to Clipboard button to copy the resulting triangle mesh to the ArtCAM clipboard.
    • If you are working on a model independently, the Copy to Clipboard button is greyed-out.
    • Next click on the Project tab to display the Project Tree.
    • Now right-click on the root Assembly Root Assembly Icon - Project Tree or assembly Assembly Icon - Project Tree in the Project Tree beneath which you want to add the replica mesh to display its context-menu, then click on the Paste menu option. For further details, see Copying and Pasting an Item.

      The replica mesh Replica Mesh Icon - Project Tree is added directly beneath the selected assembly, and adopts the name of the ArtCAM model from which it originates.

  10. Click on the Assistant tab to display the Mesh Creator page.
  11. Click on the Close button to return to the Assistant's Home page.

See Also

Working With Replica Meshes

Editing an Associated Model

Creating A Relief From The Project Tree

Importing a Replica Mesh

Exporting a Replica Mesh

Deleting a Replica Mesh


Editing an Associated Model

You can open the ArtCAM model in the Project Tree used to create a replica mesh directly from the replica mesh itself, providing that both the model and the replica mesh originate from within the same project.

To edit the model associated with a replica mesh:

  1. Right-click on the replica mesh Replica Mesh Icon - Project Tree in the Project Tree for which you want to edit its associated ArtCAM model to display its context-menu, then click on the Edit Model menu option. The model associated with the replica mesh is opened and the Assistant's Home page is displayed.
    • If you have imported a 3D Assembly (*.3da), ArtCAM Project (*.3dp), 3D Studio (*.3ds), Drawing Interchange (*.dxf), Triangle Mesh (*.stl), Universal 3D (*.u3d), WaveFront Object (*.obj) or Delcam Machining Triangles (*.dmt) file into the project, the Edit Model menu option is greyed-out.

      You can only edit a model associated with a replica mesh when both originate from within the same project. The original model must still be included as part of the project also.

      The model icon in the Project Tree changes from Closed Model Icon - Project Tree to Open Model Icon - Project Tree, indicating that the model associated with the replica mesh is now open.

See Also

Working With Replica Meshes

Adding a Replica Mesh to a Project

Creating A Relief From The Project Tree

Importing a Replica Mesh

Exporting a Replica Mesh

Deleting a Replica Mesh


Creating A Relief From The Project Tree

You can create a relief from any replica mesh Replica Mesh Icon - Project Tree in the Project Tree.

To create a relief from a replica mesh:

  1. Right-click on the replica mesh Replica Mesh Icon - Project Tree in the Project Tree from which you want to create a relief to display its context-menu, then click on the Create Relief menu option.

    A set of two relief layers is created from the replica mesh. If there is no model currently open in which to create these relief layers, a new model is created in the Project Tree first.

    • You can set the resolution of the model resulting from the assembly using the ArtCAM Options page.

      The highest triangle in the replica mesh is converted into a new relief layer at the top of the layer stack that builds the composite relief representing the front surface of the piece, while the lowest triangle in the replica mesh is converted into a new relief layer at the top of the layer stack that builds the composite relief representing its back surface.

      A border equal to 10% of the bounding box that surrounds the replica mesh is applied during the relief creation process.

      Both of the relief layers adopt the name of the replica mesh, with the Top suffix applied to the layer associated with the front surface of the piece, and the Bottom suffix applied to the layer associated with its back surface. Each of the layers are visible and the Add relief combine mode is applied by default.

See Also

Working With Replica Meshes

Adding a Replica Mesh to a Project

Editing an Associated Model

Importing a Replica Mesh

Exporting a Replica Mesh

Deleting a Replica Mesh


Importing a Replica Mesh

You can import a triangle or surface model saved in any of the following file formats into the Project Tree as a replica mesh:

Triangle Models

  • 3D Studio (*.3ds)
  • Drawing Interchange File (*.dxf)
  • Binary or ASCII STL (*.stl)
  • Universal 3D File (*.u3d)
  • Wavefront Object File (*.obj)
  • Delcam Machining Triangles (*.dmt)

Surface Models

  • 3D NURBS Modleler - Rhinoceros (*.3dm)
  • Delcam DGK (*.dgk)
  • SolidWorks Part File (*.sldprt)
  • IGES Format (*.igs)
  • IGES Format (*.ige)
  • Initial Graphics Exchange Specification Format (*.iges)

To import a triangle or surface model as a replica mesh:

  1. Right-click on the root Assembly Root Assembly Icon - Project Tree or the assembly Assembly Icon - Project Tree in the Project Tree beneath which you want to import a replica mesh to display its context-menu, then click on the Import menu option to display the Import 3D Model dialog box:

    Import 3D Model Dialog Box

  2. Click on the Look in list box and select the folder on your computer in which the triangle or surface model that you want to import is stored. Triangle model files are listed in the window by default.
  3. Click on the Files of type list box, followed by the option that includes the type of model that you want to import. The Triangle Models (*.3da, *.3dp, *.3ds, *. dxf, *.stl, *.u3d, *.obj, *.dmt) option is selected by default.
    • 3D Assembly (*.3da) and ArtCAM Project (*.3dp) files can only be imported into a project as an assembly Assembly Icon - Project Tree.
    • If you want to list all of the triangle and surface models in the current folder, click on the All Files (*.*) option.
    • If you want to list only the surface models available in the current folder, select the Surface Models (*.3dm, *.dgk, *.sldprt, *.igs, *.ige, *.iges) option.
  4. Click on the name of the triangle or surface model that you want to import. Its name appears in the File name box.
  5. Click on the Open button to import the selected triangle or surface model into ArtCAM Pro. A progress bar appears during the import process:

  6. Click on the Expand Icon - Project Tree icon beside the selected root Assembly Root Assembly Icon - Project Tree or assembly Assembly Icon - Project Tree in the Project Tree to display its associated items. The imported replica mesh Replica Mesh Icon - Project Tree is located directly beneath the selected assembly.

See Also

Working With Replica Meshes

Adding a Replica Mesh to a Project

Editing an Associated Model

Creating A Relief From The Project Tree

Exporting a Replica Mesh

Deleting a Replica Mesh


Exporting a Replica Mesh

You can export a replica mesh Replica Mesh Icon - Project Tree from the Project Tree as an ArtCAM Assembly (*.3da), Binary STL (*.stl) , ASCII STL (*.stl), Wavefront Object (*.obj) or Delcam Machining Triangles (*.dmt) file.

To export a replica mesh:

  1. Right-click on the replica mesh Replica Mesh Icon - Project Tree in the Project Tree that you want to export to display its context-menu, then click on the Export... menu option to display the Export Mesh As… dialog box:

    Export Mesh As... Dialog Box

  2. Click on the Save in list box and select the location on your computer in which you want to save the replica mesh.
  3. Type a name for the replica mesh in the File name box.
  4. Click on the Save as type list box, followed by the file type in which you want to save the replica mesh.
    • You can export a replica mesh as an ArtCAM Assembly (*.3da), Binary STL (*.stl), ASCII STL (*.stl), Wavefront Object (*.obj) or Delcam Machining Triangles (*.dmt) file only.
  5. Click on the Save button to close the dialog box and save the replica mesh file.

See Also

Working With Replica Meshes

Adding a Replica Mesh to a Project

Editing an Associated Model

Creating A Relief From The Project Tree

Importing a Replica Mesh

Deleting a Replica Mesh


Deleting a Replica Mesh

You can delete any replica mesh from the Project Tree.

To delete a replica mesh:

  1. Right-click on the replica mesh Replica Mesh Icon - Project Tree that you want to delete to display its context-menu, then click on the Delete menu option. A message box appears asking if you want to delete the replica mesh or not:

    Delete Mesh Message Box

  2. Click on the Yes button to close the message box and delete the replica mesh from the Project Tree.

See Also

Working With Replica Meshes

Adding a Replica Mesh to a Project

Editing an Associated Model

Creating A Relief From The Project Tree

Importing a Replica Mesh

Exporting a Replica Mesh


Using the Nudge Tool

You can adjust the position and angle of the root Assembly Root Assembly Icon - Project Tree, an assembly Assembly Icon - Project Tree or replica mesh Replica Mesh Icon - Project Tree in the Project Tree. You can either move the item along any of the three axes, or rotate the item around a defined origin.

To reposition a selected item:

  1. Click to select the item in the Project Tree that you want to reposition. Its name is emphasized in blue.
  2. Click on the Nudge button Nudge Button on the Project page to display its settings.
    • The name of the item in the Project Tree that you are repositioning is shown in the header above the settings. For example, Nudge - New Assembly.
  3. In the Transform Relative To area, select the origin you want to use when repositioning the item:
    • If you want to transform the item relative to the X=0, Y=0, Z=0 origin, select the World Centre option by clicking on its radio button. This method is selected by default.
    • If you want to transform the item relative to its own origin, select the Component Centre by clicking on its radio button.
  4. Type the distance by which you want to move the item in the Step box.
  5. Use the arrows on the diagram to move the item around the specified origin along any of the three axes:
    • If you attempt to nudge a selected item in the Project Tree when it is hidden, a message box is displayed asking if you want to continue:

      Click on the Yes button to nudge the selected item and close the message box; although you will not see the results until the visibility of the item is toggled on. Click on the No button to cancel the nudge and close the message box.

    • Each click on the Linked ArtCAM Graphics Directory Template [JewelSmith] arrow moves the item up along the Z- axis by the increment specified in the Step box.
    • Each click on the Linked ArtCAM Graphics Directory Template [JewelSmith] arrow moves the item down along the Z- axis by the increment specified in the Step box.
    • Each click on the Linked ArtCAM Graphics Directory Template [JewelSmith] arrow moves the item up along the Y- axis by the increment specified in the Step box.
    • Each click on the Linked ArtCAM Graphics Directory Template [JewelSmith] arrow moves the item down along the Y-axis by the increment specified in the Step box.
    • Each click on the Linked ArtCAM Graphics Directory Template [JewelSmith] arrow moves the item left along the X- axis by the increment specified in the Step box.
    • Each click on the Linked ArtCAM Graphics Directory Template [JewelSmith] arrow moves the item right along the X- axis by the increment specified in the Step box.

      You can see that the arrows are colour co-ordinated with the origin displayed in the view. This makes it easy to visualize exactly how you want to move the item.

  6. Select the X, Y or Z option by clicking on its radio button to define the axis around which you want to rotate the item.

    You can see that the X, Y and Z options are colour co-ordinated with the origin displayed in the view. This makes it easy to visualize exactly how you want to rotate the item.

  7. Define the angle by which you want to rotate the item in the Angle box.
  8. Use either of the arrows to rotate the item around the specified origin:
    • Each click on the Linked ArtCAM Graphics Directory Template [JewelSmith] arrow rotates the item clockwise by the increment specified in the Angle box.
    • Each click on the Linked ArtCAM Graphics Directory Template [JewelSmith] arrow rotates the item anti-clockwise by the increment specified in the Angle box.
  9. If you have repositioned the root Assembly Root Assembly Icon - Project Tree or an assembly Assembly Icon - Project Tree for machining, you can apply or cancel its new position using the following methods in the Advanced area:
    • Click on the [image] icon in the Advanced area to display its settings. These are hidden by default.
    • If you want to save the current position of the item as its machining position, click on the Set World Centre button.
    • If you want to reset the item to its previous machining position, click on the Return To World Centre button. The default machining position is set equal to the World Centre origin.
  10. Click on the Close Icon icon to close the settings.

See Also

New ArtCAM Workflow

Working With Projects

Working With Models

Working With Assemblies

Working With Replica Meshes

Using the Scale Tool


Using the Scale Tool

You can adjust the size of the root Assembly Root Assembly Icon - Project Tree, an assembly Assembly Icon - Project Tree or replica mesh Replica Mesh Icon - Project Tree in the Project Tree. You can either scale the item in any of the three axes individually, or in all three axes simultaneously.

To scale a selected item:

  1. Click to select the item in the Project Tree that you want to scale. Its name is emphasized in blue.
  2. Click on the Scale button Scale Button on the Project page to display its settings.
    • The name of the item in the Project Tree that you are scaling is shown in the header above the settings. For example, Scale - New Assembly.
  3. If you want to scale the selected item in only the X, Y or Z axis, you can do so using either of the following methods:
    • Define the new size of the item; or
    • Define the percentage by which you want to scale the item.

      For example, to increase the size of an item by twenty per cent in the Y-axis only, type 120 in the % box beside the green letter Y.

  4. If you want to scale the item in all three axes simultaneously, define the percentage by which you want to scale its overall size in the All box.

    You can see that the X, Y and Z options are colour co-ordinated with the origin gnomen displayed in the view. This makes it easy to visualize exactly how you want to scale the item.

  5. If you want to scale the selected item relative to its own workplane rather than the world workplane, make sure that the Scale relative to workplane option is selected.
  6. Click on the Apply button to scale the item in the selected axes.
  7. Click on the Close Icon icon to close the settings.

See Also

New ArtCAM Workflow

Working With Projects

Working With Models

Working With Assemblies

Working With Replica Meshes

Using the Nudge Tool


Enhanced Project Tree

Following the introduction of projects in ArtCAM Pro 2008, the Project Tree on the Project tab has changed.

The following new items are associated with the Project Tree:

  • The project icon Project Icon - Project Tree, which denotes the root of the Project Tree. This is a default item in the Project Tree whenever a project is open.
  • The Models folder icon Models Folder Icon - Project Tree, which hosts all of the separate ArtCAM models within a project. This is a default item in the Project Tree whenever a project is open.
  • The root Assembly icon Root Assembly Icon - Project Tree, which hosts all of the assemblies and replica meshes within a project. This is a default item in the Project Tree whenever a project is open.
  • The closed model icon Closed Model Icon - Project Tree, which represents each of the closed ArtCAM models that are part of the project. There can be several of these in the Project Tree.
  • The assembly icon Assembly Icon - Project Tree, which represents each of the assemblies that are part of the project. There can be several of these in the Project Tree.
  • The replica mesh icon Replica Mesh Icon - Project Tree, which represents each of the replica meshes that are part of the project. There can be several of these in the Project Tree.

The following changes have been made to the Project Tree:

  • The icon representing an open model has changed from Model Icon - Project Tree [ArtCAM Pro 9.0) to Open Model Icon - Project Tree.
  • The icon representing the artwork in an open model Artwork Icon - Project Tree [ArtCAM Pro 9.0] has been removed.
  • The icon representing the pixel dimensions of the open model Model Dimensions Icon - Project Tree [ArtCAM Pro 9.0] has been removed.
    • The pixel dimensions of the open model are shown in the Model Information area of the Assistant's Home page.
  • The icon representing the 3D View 3D View Icon - Project Tree [ArtCAM Pro 9.0] has been removed.
  • The icon representing the composite relief Composite Relief Icon - Project Tree [ArtCAM Pro 9.0] has been removed.
  • The icon representing the X and Y dimensions of the composite relief Composite Relief Dimensions - Project Tree [ArtCAM Pro 9.0] has been removed.
    • The X and Y dimensions of the composite relief are shown in the Model Information area of the Assistant's Home page.
  • The icon representing the Max Z height in the composite relief Max Z Height Icon - Project Tree [ArtCAM Pro 9.0] has been removed.
    • The Max Z height in the composite relief is shown in the Model Information area of the Assistant's Home page.
  • The icon representing the Min Z height in the composite relief Min Z Height Icon - Project Tree [ArtCAM Pro 9.0] has been removed.
    • The Min Z height in the composite relief is shown in the Model Information area of the Assistant's Home page.
  • The icon representing the co-ordinates of the origin in the composite relief Relief Origin Icon - Project Tree [ArtCAM Pro 9.0] has been removed.
  • The icon representing the Material Setup MaterialBlockIcon-OldProjectTree has been removed.
    • You can use the Toolpaths > Material Setup... menu option from the Main Menu bar to display the Material Setup dialog box.
  • The icon representing the Machining Toolpaths Icon - Project Tree has been renamed as Toolpaths.

Each of the new items in the Project Tree has its own associated context-menu, which is displayed by right-clicking on the item. Almost all of the items familiar to the Project Tree in previous versions of ArtCAM Pro either have an entirely new context-menu or additional options. It is now far easier to work directly from the Project Tree.


Revised File Menu Options

The new layout of the Main Menu bar is a direct result of the following changes:

  • The new File > New > Model... menu option.
  • The new File > New > Project menu option.
  • The new File > New > From Image File... menu option.
  • The new File > Close Model menu option.
  • The new File > Close Project menu option.
  • The File > Import... > Vector Data... menu option is now the Vectors > Import... menu.
  • The File > Import... > 3D Model menu option is now the Reliefs > Import 3D Model... menu option.
  • The File > Import... > 3D Model For Unwrapping menu option is now the Reliefs > Import 3D Model For Unwrapping... menu option.
  • The File > Import... > Load CopyCAD Wrapping Data menu option is now the Reliefs > Load CopyCAD Wrapping Data... menu option.
  • The File > Export... menu option is now the Vectors > Export... menu.
  • The File > New (Specify Pixel Size)... menu option is now the File > New > Model (Specify Pixel Size)... menu option.
  • The Vectors > Create Feature menu option has been removed, along with its associated options.
  • The Reliefs > Paste From File... menu option is now the Reliefs > Import... menu option.
  • The Reliefs > Swept Profiles Wizard... menu option is now the Reliefs > Swept Profiles menu option.
  • The Reliefs > Two Rail Sweep... menu option is now the Reliefs > Swept Profiles > Two Rail Sweep... menu option.
  • The Toolpaths > Toolpath Data > Load... menu option is now the Toolpaths > Import Toolpaths... menu option.
  • The Toolpaths > Save Toolpath... menu option is now the Toolpaths > Save Toolpath As... menu option.
  • The Toolpaths > Save Simulation menu option is now the Toolpaths > Save Simulation As... menu option.
  • The new Toolpaths > Save Toolpaths As Template... menu option.
  • The new Toolpaths > Calculate Toolpath menu option.
  • The new Toolpaths > Create Relief From Simulation menu option.


Enhanced Bitmap Import

You can now create a new model from any of the following types of bitmap image files, or import any of them into an open ArtCAM model as a new bitmap layer:

  • Windows or OS/2 Bitmap (*.bmp)
  • Windows or OS/2 DIB (*.dib)
  • Windows or CompuServe RLE (*.rle)
  • JPEG Image - JFIF Compliant (*.jpg, *.jpeg, *.jpe and *.jfif)
  • CompuServe Graphics Interchange (*.gif)
  • Windows Enhanced Meta File (*.emf)
  • Windows Meta File (*.wmf)
  • Tagged Image File Format (*.tif and *.tiff )
  • Portable Network Graphics (*.png)
  • Windows Icon (*.ico)

For example, the options available in the Files of type list box associated with the Open dialog are as follows:

ArtCAM Pro 9.1...

Bitmap Files Menu Options [ArtCAM Pro 9.0]

ArtCAM Pro 2008...

Bitmap Files Menu Options


Enhanced 3D Model Import

You can now import the following types of 3D models into an open ArtCAM model or as a replica mesh in the Project Tree.

  • You must have PS-Exchange 5.1.0602 or above installed on your computer if you want to import all of the listed triangle and surface models.

Triangle models:

  • 3D Assembly (*.3da)
  • ArtCAM Project (*.3dp)
  • 3D Studio (*.3ds)
  • Drawing Interchange File (*.dxf)
  • Binary or ASCII STL (*.stl)
  • Universal 3D File (*.u3d)
  • Wavefront Object File (*.obj)
  • Delcam Machining Triangles (*.dmt)

Surface models:

  • 3D NURBS Modleler - Rhinoceros (*.3dm)
  • Delcam DGK (*.dgk)
  • SolidWorks Part File (*.sldprt)
  • IGES Format (*.igs)
  • IGES Format (*.ige)
  • Initial Graphics Exchange Specification Format (*.iges)

To import a 3D model into an open ArtCAM model:

  1. Click on the Reliefs > Import 3D Model... menu option from the Main Menu bar to display the Import 3D Model dialog box:

    Import 3D Model Dialog Box

  2. Click on the Look in list box and select the folder on your computer in which the 3D model that you want to import is stored. Triangle model files are listed in the window by default.
  3. If you want to import a surface model, click on the Files of type list box followed by the Surface Models (*.3dm, *.dgk, *.sldprt, *.igs, *.ige, *.iges) option.
  4. Click on the name of the model that you want to import. Its name appears in the File name box.
  5. Click on the Open button to import the selected 3D model into ArtCAM Pro and display the Paste 3D Model dialog box:

    Paste 3D Model Dialog Box

  6. Make sure that the relief layer in the Reliefs area of the Layers Manger on which you want to paste the 3D model is selected.
  7. Click on the Paste button to close the Paste 3D Model dialog box and paste the model onto the selected relief layer. A progress bar is displayed in the status bar area during the calculation process:

  8. Click on the Close button to close the Paste 3D Model dialog box.

To import a 3D model as part of a project:

  1. Right-click on the root Assembly Root Assembly Icon - Project Tree or assembly Assembly Icon - Project Tree in the Project Tree with which you want to associate a replica mesh of the imported 3D model to display its context-menu, then click on the Import... menu option to display the Import 3D Model dialog box:

    Import 3D Model Dialog Box

  2. Click on the Look in list box and select the folder on your computer in which the model that you want to import is stored. Triangle model files are listed in the window by default.
  3. If you want to import a surface model, click on the Files of type list box followed by the Surface Models (*.3dm, *.dgk, *.sldprt, *.igs, *.ige, *.iges) option.
  4. Click on the name of the model that you want to import. Its name appears in the File name box.
  5. Click on the Open button to import the selected model into ArtCAM Pro. A progress bar is displayed in the status bar area during the calculation process:

  6. Click on the Expand Icon - Project Tree icon beside the selected root Assembly Root Assembly Icon - Project Tree or assembly Assembly Icon - Project Tree in the Project Tree to display its associated items.

    A replica mesh Replica Mesh Icon - Project Tree of the imported model is created directly beneath the root Assembly Root Assembly Icon - Project Tree or assembly Assembly Icon - Project Tree , and this adopts the name of the original triangle or surface model file.


Enhanced Bitmap To Vector Tool

In previous versions of ArtCAM Pro, the Vectors From Bitmap dialog box allowed you to create vector artwork around the outline of all areas of an image on a bitmap layer drawn in the current Primary Colour, together with those colours from the Colour Palette linked to the Primary Colour.

Vectors From Bitmap Dialog Box

All of the settings associated with the Vectors From Bitmap dialog box have now been consolidated onto a single page of settings displayed in the Assistant window. Moreover, you can now calculate a vector centreline from all areas of the bitmap layer in the current Primary Colour, together with those colours that are linked to the Primary Colour. This is particularly useful for calculating a centreline from bitmap images of text.

To create a vector boundary and/or centreline from a bitmap image:

  1. Select the bitmap layer hosting the image that you want to convert into vector artwork.
  2. Click on the colour within the Colour Palette that you want to select as the Primary Colour.
  3. Click on the Bitmap To Vector button Bitmap To Vector Button in the Bitmap Tools area of the Assistant's Home page to display the Vectors From Bitmap page.
  4. Define the tolerance you want to use in the Pixel Tolerance box. This controls how closely the spans in the resulting vector artwork follows the pixilated outline of the bitmap image.
  5. Select the method that you want to use when converting the bitmap image by clicking on the appropriate radio button:
    • Spline all points - this option fits bezier curve spans between all points (nodes) in the resulting vectors.
    • Keep lines - this option fits bezier curve spans between all points (nodes), except where the number of consecutive pixels you define in the Min Pixel Length box form a straight line.
  6. Make sure that the Create Boundary option is selected if you want to create a vector around all areas of the bitmap image in the current Primary Colour, and in those colours linked to the Primary Colour.
  7. If you want to create centreline vectors from the bitmap image:
    • First, make sure that the Create Centreline option is selected.
    • You can calculate the centreline from a bitmap image whether or not you are creating the boundary vectors at the same time.
    • If you want the centreline to comprise open vectors, make sure that the Disconnected Open Vectors option is selected by clicking on its radio button.
    • The centreline comprises a greater number of vectors when the Disconnected Open Vectors option is used.
    • If you want the centreline to comprise closed vectors, make sure that the Closed Vector Loops option is selected by clicking on its radio button.
  8. Make sure that the vector layer on which you want to create the vector artwork from the bitmap image is selected.
  9. Click on the Create Vectors button to calculate the vector artwork on the selected vector layer. The vector artwork is magenta and surrounded by a bounding box, indicating that it is selected.
    • You can use the 2D Bitmap Contrast tool to fade the image on the bitmap layer and view the vector artwork created from it clearly. Alternatively, you can toggle the visibility for the bitmap layer so that the image is hidden completely.
  10. Click on the Close button to return to the Assistant's Home page.


Modified Primary and Secondary Colours

Whenever you create or open an existing model in ArtCAM Pro, a default Colour Palette is displayed beneath the 2D View window. In previous versions of ArtCAM Pro, the default Primary Colour in the Colour Palette is white and the default Secondary Colour is black.

In each new model, the default Primary Colour is now black and the default Secondary Colour is now white.

Colour Palette - Default Primary and Secondary Colours

When opening a model created in earlier versions of ArtCAM Pro, the Primary and Secondary Colours are whichever colours were last chosen before saving the model. If no colours were chosen, the default Primary Colour remains as white and the default Secondary Colour as black.


Enhanced Swept Profile Tools

In previous versions of ArtCAM Pro, you could create an extruded, spun or turned shape using a Wizard only. All of the settings previously found in each of the pages associated with each of the three Wizards have been consolidated onto a single page of settings displayed in the Assistant window. The layout of the settings associated with these tools is now consistent with that already familiar to the Two Rail Sweep tool.

The Reliefs > Swept Profiles Wizard... menu option has been removed from the Main Menu bar, along with its associated Wizard page:

Swept Profiles Wizard

You can now display the settings previously associated with the Extrude Wizard using either of the following methods:

  • Click on the Extrude button Extrude Button in the Swept Profiles toolset shown in the Relief Tools area of the Assistant's Home page; or
  • Click on the Reliefs > Swept Profiles > Extrude... menu option from the Main Menu bar.

You can now display the settings previously associated with the Spin Wizard using either of the following methods:

  • Click on the Spin button Spin Button in the Swept Profiles toolset shown in the Relief Tools area of the Assistant's Home page; or
  • Click on the Reliefs > Swept Profiles > Spin... menu option from the Main Menu bar.

You can now display the settings previously associated with the Turn Wizard using either of the following methods:

  • Click on the Turn button Turn Button in the Swept Profiles toolset shown in the Relief Tools area of the Assistant's Home page; or
  • Click on the Reliefs > Swept Profiles > Turn... menu option from the Main Menu bar.

In This Section

Updated Extrude Tool

Updated Spin Tool

Updated Turn Tool


Updated Extrude Tool

In previous versions of ArtCAM Pro, you could extrude a shape using the Extrude Wizard:

The Extrude Wizard has been removed and all of the settings previously found in each of the steps associated with this have been consolidated onto a single page of settings displayed in the Assistant window.

You can extrude a shape on a relief layer using up to four vectors. The first of the vectors defines the line along which the shape is extruded. This is referred to as the drive curve. The second vector defines the start cross-section of the shape, while the third defines the end cross-section. The vector used to define the end cross-section can be the same as that used to define the start cross-section. The optional fourth vector determines the height of the shape in the Z direction.

In the following example, you can see how shapes can be extruded from vectors to form a harp:

Before...

After...

To extrude a shape:

  1. Make sure that the relief layer on which you want to extrude the shape is selected.
  2. You can display the Extrude page in the Assistant window using either of the following methods:
    • Click on the Extrude button Extrude Button in the Swept Profiles toolset shown in the Relief Tools area of the Assistant's Home page.
    • If you cannot see this button, click on the Flyout Toolset Arrow icon along the right-edge of whichever button is currently shown in the Relief Tools area of the Assistant's Home page to display the Swept Profiles toolset:

      Relief Tools - Swept ProfilesToolset

      You can also click on the Pin Flyout Toolset icon at the right-end of the toolset to pin all of the buttons that make up the toolset in the Relief Tools area of the Assistant's Home page.

    • Click on the Reliefs > Swept Profiles > Extrude... menu option from the Main Menu bar.
  3. Click to select the vector along which you want the cross-section to be swept. This is referred to as the drive curve.
  4. Click on the Select button in the Drive Curve area. Arrows are displayed along the selected vector to show the direction of the drive curve and on which side the cross-sections are to be attached.
    • When deselected, the vector chosen as the drive curve is red.

      In order to begin creating the frame of the harp in our example, the polyline numbered below is selected as the drive curve. We can also see the direction arrow positioned along the left-edge of the polyline.

  5. If you want to change the properties of the drive curve, select the appropriate options:
    • If you want to reverse the direction of the drive curve, click to select the Reverse curve direction option. The arrow(s) along the selected vector are shown in the opposite direction.
    • If you want to change the side of the drive curve along which the cross-section is extruded, click to select the Use other side option. The arrow(s) along the selected vector are now shown on the opposite side.
    • If you want to use the drive curve as the centreline for the extrusion, click to select the Use as a centreline option. The arrow(s) are shown along both sides of the selected vector.
    • The Use other side option is greyed-out if you have the Use as a centreline option selected.
    • If you want to produce an extruded shape with sharp-edged corners, click to select the Create square corners option.
  6. To reverse the direction of the drive curve, click to select the Reverse curve direction option.
  7. Click to select the open, ungrouped vector that you want to use as the cross-section at the start of the extruded shape. This is referred to as the start profile.
  8. Click on the Select button in the Start Profile area. The arrows on the start profile show the current Z-axis direction. The side of the start profile on which the arrows are positioned determine the side on which the shape is extruded.
    • When deselected, the vector chosen as the start profile is blue.

      In our example, the vector numbered below is selected as the start profile:

  9. If you want to change the properties of the start profile, click on the appropriate options:
    • To change the position of the start point (node) in the selected vector, click to select the Move anchor point to other end option. The start point (node) is green and determines which end of the start profile is attached to the drive curve.
    • To invert the selected vector in the Z-axis direction, click to select the Invert curve in Z option.
  10. If you want to use another open, ungrouped vector as the profile at the end of the extruded shape:
    • First click to select the use separate end profile option.
    • Now click to select the open, ungrouped vector that you want to use as the cross-section at the end of the extruded shape. This is referred to as the end profile.
    • Next click on the Select button in the End Profile area.
    • When deselected, the vector chosen as the end profile is blue.
  11. If you want to change the properties of the end profile, click on the options that you want to use:
    • To change the position of the start point (node) in the selected vector, click to select the Move anchor point to other end option. The start point (node) is green and determines which end of the start profile is attached to the drive curve.
    • To invert the selected vector in the Z-axis direction, click to select the Invert curve in Z option.

      In our example, the vector used for the end profile is the same as that which was selected as the start profile.

  12. To add a vector and scale the swept profile in the Z-axis along its length:
    • First click to select the Use a z modulation profile option.
    • Now click to select the vector that you want to use as the z modulation vector.
    • Next click on the Select button in the Z Modulation area.
    • When deselected, the vector chosen as the Z modulation vector is green.
  13. If you want to change the properties of the z modulation vector, click on the options that you want to use:
    • To change the position of the start point (node) in the selected vector, click to select the Move anchor point to other end option. The start point (node) is green and determines which end of the start profile is attached to the z modulation vector.
    • To invert the selected vector in the Z-axis direction, click to select the Invert curve in Z option.
  14. Select the method in the Combine area that you want to use to combine the extruded shape with the content on the selected relief layer:
    • The combine method selected here controls how the extruded shape is combined with the selected relief layer only. It does not control how the extruded shape is combined with the composite relief. How the extruded shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself.
    • Click on the Add radio button if you want to add the extruded shape to the selected relief layer.
    • Click on the Subtract radio button if you want to subtract the extruded shape from the selected relief layer.
    • Click on the Highest radio button to merge the extruded shape with the selected relief layer, so that only the highest points show.
    • Click on the Lowest radio button to merge the extruded shape with the selected relief layer, so that only the lowest points show.

      In our example, the Highest option is selected.

  15. Click on the Calculate button to combine the extruded shape with the selected relief layer.
  16. Click on the Close button to return to the Assistant's Home page.

    In our example, the extruded shape on the selected relief layer appears in the 3D View window as follows:

    The blocks at the top and bottom of the harp frame in our example were created on the selected relief layer prior to the extruded shape by applying a flat shape with a Start Height of 3.5 mm (0.14") to the red bitmap colour marking the shape of the blocks, and then using the Reliefs > Calculate > Replace menu option on the Main Menu bar.

See Also

Enhanced Swept Profile Tools

Updated Spin Tool

Updated Turn Tool


Updated Spin Tool

In previous versions of ArtCAM Pro, you could spin a shape using the Spin Wizard:

The Spin Wizard has been removed and all of the settings previously found in each of the steps associated with this have been consolidated onto a single page of settings displayed in the Assistant window.

You can spin a shape using up to three vectors. The first of these defines the start cross-section and the second defines the end cross-section of the shape. The vector used to define the end cross-section can be the same as that used to define the start cross-section. The optional third vector determines the height of the shape in the Z direction.

In the following example, you can see how a shape can be spun using vector artwork along with other relief editing techniques to create a group of leaves:

Before…

Spun Relief Example - Before

After…

Spun Relief Example - Leaf Shape

To create a spun shape:

  1. Make sure that the relief layer on which you want to spin the shape is selected.
  2. You can display the Spin page in the Assistant window using either of the following methods:
    • Click on the Spin button Spin Button in the Swept Profiles toolset shown in the Relief Tools area of the Assistant's Home page.
    • If you cannot see this button, click on the Flyout Toolset Arrow icon along the right-edge of whichever button is currently shown in the Relief Tools area of the Assistant's Home page to display the Swept Profiles toolset:

      Relief Tools - Swept ProfilesToolset

      You can also click on the Pin Flyout Toolset icon at the right-end of the toolset to pin all of the buttons that make up the toolset in the Relief Tools area of the Assistant's Home page.

    • Click on the Reliefs > Swept Profiles > Spin... menu option from the Main Menu bar.
  3. Click to select the ungrouped, open vector that you want to use as the cross-section at the start of the spun shape. This is referred to as the start profile. The vector is magenta and surrounded by a bounding box.
  4. Click on the Select button in the Start Profile area. Arrows are displayed about the selected vector to show the side on which side the cross-sections are to be attached.
    • When deselected, the vector chosen as the start profile is blue.

      In order to begin creating the leaf design in our example, the polyline shown below is selected as the start profile:

      Spun Relief Example - Start Profile

  5. If you want to change the properties of the start profile, select the options that you want to use:
    • To change the position of the start point (node) in the selected vector, click to select the Move anchor point to other end option. The start point (node) is green and determines the point around which the start profile is spun.
    • To invert the selected vector in the Z-axis direction, click to select the Invert curve in Z option.
  6. Select the open, ungrouped vector that you want to use as the cross-section at the end of the spun shape. This is referred to as the end profile.

    If you want to use the same vector that you have already used as the start profile:

    • Make sure that the Use separate end profile option is deselected.

      In our example, the vector used as the end profile is the same as that which was selected as the start profile.

      If you want to use another vector:

    • Make sure that the Use separate end profile option is selected. The End Profile settings are displayed.
    • Click to select the vector that you want to use as the cross-section at the end of the spun shape. The vector is magenta and surrounded by a bounding box, while the vector previously selected as the start profile is now red.
    • Click on the Select button in the End Profile area. Arrows are displayed about the selected vector to show the side on which side the cross-sections are to be attached.
    • When deselected, the vector chosen as the end profile is blue.

      If you want to change the properties of the end profile, select the options that you want to use:

    • To change the position of the start point (node) in the selected vector, click to select the Move anchor point to other end option. The start point (node) is green and determines the point around which the end profile is spun.
    • To invert the selected vector in the Z-axis direction, click to select the Invert curve in Z option.
  7. If you want to scale the profile(s) in the Z-axis along its length:
    • Make sure that the Use Z modulation profile option is selected. The Z Modulation settings are displayed.
    • Click to select the vector that you want to use as the Z modulation vector. The vector is magenta and surrounded by a bounding box.

      In our example, the polyline shown below is selected as the Z modulation vector:

      Spun Relief Example - Z Modulation Vector

    • Click on the Select button in the Z Modulation area. Arrows are displayed about the selected vector to show the side on which side the cross-sections are to be attached.
    • When deselected, the vector chosen as the Z modulation vector is green.
    • To change the position of the start point (node) in the selected vector, click to select the Move anchor point to other end option. The start point (node) is green and reverses the direction of the Z modulation vector.
    • To invert the selected vector in the Z-axis direction, click to select the Invert curve in Z option.

      If you do not want to scale the profiles in the Z-axis along its length:

    • Make sure that the Use Z modulation profile option is deselected.
  8. You are now ready to define how the shape is swept.

    If you want to sweep the profiles clockwise through 360° starting from a specific angle:

    • Make sure that the Sweep through 360 degrees option is selected.
    • Define the angle at which you want to begin sweep in the Start Angle box.

      If you want to sweep the profile through a specific angle and in a specific direction:

    • Make sure that the Sweep through 360 degrees option is deselected.
    • Define the angle at which you want to begin sweeping in the Start Angle box.
    • Define the angle at which you want to end sweeping in the End Angle box.
    • Select the direction in which you want to sweep the profiles by clicking on either the Clockwise or Anticlockwise radio button.

      In our example, the profile is swept from 0° through 360° in a clockwise direction.

  9. Select the method in the Combine area that you want to use to combine the spun shape with the content on the selected relief layer:
    • The combine method selected here controls how the spun shape is combined with the selected relief layer only. It does not control how the spun shape is combined with the composite relief. How the spun shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself.
    • Click on the Add radio button if you want to add the spun shape to the selected relief layer.
    • Click on the Subtract radio button if you want to subtract the spun shape from the selected relief layer.
    • Click on the Highest radio button to merge the spun shape with the selected relief layer, so that only the highest points show.
    • Click on the Lowest radio button to merge the spun shape with the selected relief layer, so that only the lowest points show.

      In our example, the Add option is selected.

  10. Click on the Calculate button to combine the spun shape with the selected relief layer.

    In our example, the content on the selected relief layer appears in the 3D View window as shown:

    Spun Relief Example - Leaf Shape

    The wave effect in the spun shape is achieved by using the Z modulation vector.

    The overall shape of the leaves is achieved by selecting green from the Colour Palette as the Primary Colour and then clicking on the Reliefs > Keep Under Colour menu option.

  11. Click on the Close button to return to the Assistant's Home page.

See Also

Enhanced Swept Profile Tools

Updated Extrude Tool

Updated Turn Tool


Updated Turn Tool

In previous versions of ArtCAM Pro, you could turn a shape using the Turn Wizard:

The Turn Wizard has been removed and all of the settings previously found in each of the steps associated with this have been consolidated onto a single page of settings displayed in the Assistant window.

You can turn a shape using an open, ungrouped vector. An imaginary line between the start point (node) and end point (node) in the selected vector acts as an axis about which it is turned to create the cross-section of the shape.

In the following example, you can see how a shape can be turned using vectors to form castle turrets:

Before...

After...

To turn a shape:

  1. Make sure that the relief layer on which you want to turn the shape is selected.
  2. You can display the Turn page in the Assistant window using either of the following methods:
    • Click on the Turn button Turn Button in the Swept Profiles toolset shown in the Relief Tools area of the Assistant's Home page.
    • If you cannot see this button, click on the Flyout Toolset Arrow icon along the right-edge of whichever button is currently shown in the Relief Tools area of the Assistant's Home page to display the Swept Profiles toolset:

      Relief Tools - Swept ProfilesToolset

      You can also click on the Pin Flyout Toolset icon at the right-end of the toolset to pin all of the buttons that make up the toolset in the Relief Tools area of the Assistant's Home page.

    • Click on the Reliefs > Swept Profiles > Turn... menu option from the Main Menu bar.
  3. Click to select the ungrouped, open vector that you want to use as the cross-section of the turned shape. This is referred to as the profile.
  4. Click on the Select button. Arrows are displayed about the selected vector to show the direction from the start point to the end point.

    In order to begin creating castle turrets in our example, the polyline numbered below is selected as the profile:

  5. In the Z Scale Factor box, define the scaling factor that you want to apply to the profile in the Z-axis direction. The default value of 1 produces a semi-circular cross-section.
    • When deselected, the vector chosen as the profile is red.

      In our example, a scale factor of 0.5 is applied to the profile.

    • If you want to change any of the settings before calculating the turned shape, click on the Reset button.
  6. Select the method in the Combine area that you want to use to combine the turned shape with the content on the selected relief layer:
    • The combine method selected here controls how the turned shape is combined with the selected relief layer only. It does not control how the turned shape is combined with the composite relief. How the turned shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself.
    • Click on the Add radio button if you want to add the turned shape to the selected relief layer.
    • Click on the Subtract radio button if you want to subtract the turned shape from the selected relief layer.
    • Click on the Highest radio button to merge the turned shape with the selected relief layer, so that only the highest points show.
    • Click on the Lowest radio button to merge the turned shape with the selected relief layer, so that only the lowest points show.

      In our example, the Add option is selected.

  7. Click on the Calculate button to combine the turned shape with the selected relief layer.
  8. Click on the Close button to return to the Assistant's Home page.

    In our example, the selected relief layer is shown in the 3D View window as follows:

    The crenellations within the castle turrets are created by selecting white as the Primary Colour, and then using the Zero Relief Under Colour button Zero Relief Under Colour Button in the Relief Colour toolset shown in the Reliefs area of the Assistant's Home page.

See Also

Enhanced Swept Profile Tools

Updated Extrude Tool

Updated Spin Tool


Enhanced Shape Editor

In previous versions of ArtCAM Pro, you could only create three-dimensional shapes using the Shape Editor tool and the bitmap image shown in the 2D View window. You can now project an image hosted on a bitmap layer onto the composite relief shown in the 3D View window and then use the Shape Editor tool to create three-dimensional shapes on a selected relief layer directly from there.

To create three-dimensional shapes using bitmap colours shown in the 3D View window:

  1. Make sure that the bitmap layer from which you want to create three-dimensional shapes is selected from the stack shown in the Bitmaps area of the Layers Manager.
    • Make sure that the selected bitmap layer is also visible. If you cannot see the image associated with the selected bitmap layer, click on the Toggle All Visibility button Toggle All Visibility Button - Off in the Bitmaps area of the Layers Manager.
  2. Click on the 3D View button 3D View Button in the 2D View toolbar to display the 3D View window.
  3. Click on the Colour Shade button Colour Shade Button in the 3D View toolbar to display the image hosted on the selected bitmap layer in the 3D View window.
    • If the Use colours from 2D view option is selected on the Interactive Sculpting page, the Colour Shade button is disabled.
    • If the 2D View option is selected in the Material area of the Lights And Material page, the Colour Shade button is disabled.
  4. Double-click on the colour from which you want to create a three-dimensional shape to display the Shape Editor dialog box:
    • You cannot use the Shape Editor dialog box when the Interactive Sculpting page is displayed in the Assistant window.

      Shape Editor Dialog Box

  5. In the Shape Editor dialog box, select the profile of the shape that you want to create from the selected bitmap colour:
    • Click on the Round button Round Button - Shape Editor Dialog Box to create a rounded shape from the selected bitmap colour.
    • Click on the Angular button Angular Button - Shape Editor Dialog Box to create an angled shape from the selected bitmap colour.
    • Click on the Plane button Plane Button - Shape Editor Dialog Box to create a flat shape from the selected bitmap colour.
    • You can restore the default settings in the Shape Editor dialog box by clicking on the Reset button.
  6. If you want to create a rounded or angled shape, you can define an angle using any of the following methods:
    • Define the angle in the Angle box. Type a positive value to produce a convex shape and a negative value to produce a concave shape. Type a value of 0 to produce a plane.
    • Click and drag on the slider to the left of the Angle box. Drag the slider upward to increase the angle of the shape. Drag the slider downward to decrease the angle. The angle is shown in the Angle box.
    • Click on the up or down arrow on the right of the Angle box. The angle is shown in the Angle box.

      The default angle for a rounded or an angled shape is 45°.

  7. Define the height at which the shape starts in the Z direction in the Start Height box. This creates a vertical side-wall beneath the shape. If you are creating a flat shape, this value controls the height of the plane.
  8. Select the height option that you want to use:
    • If you are creating a plane, all of the height options are greyed-out. If so, go straight to the next step.
    • To allow the shape to grow to the height that it would naturally reach, select the No Limit option by clicking on its radio button.

      If you want to apply a scaling factor to the Z-axis of the shape, click to select the Scale option and then define the scaling factor in the Scale box, or click and drag on the slider that is activated.

    • To allow the shape to grow to a specific height and then plateau, select the Limit To Height option by clicking on its radio button and then define the height in the Height box that is activated.

      If the natural height of the shape exceeds that of the value defined in the Height box, a flat top appears on the shape.

      If you want to apply a scaling factor to the shape in its Z-axis, click to select the Scale option and then define the scaling factor in the Scale box or click and drag on the slider that is activated.

    • To allow the shape to grow to a specific height by applying a scaling factor in its Z-axis, select the Scale To Height option by clicking on its radio button and then define the height in the Height box that is activated. This option does not produce a flat top on the shape.
  9. Click on the Apply button to apply the current shape attributes to the selected bitmap colour.
    • The shape that you have chosen to create is shown in the selected colour within the Colour Palette beneath the 2D View window.
  10. Make sure that the relief layer on which you want to create shapes in the areas associated with the selected bitmap colour is selected from the stack shown in the Reliefs area of the Layers Manager.
  11. Select the relief combine mode that you want to use:
    • The combine mode selected here controls how the shape is combined with the selected relief layer only. It does not control how the shape is combined with the composite relief. How the shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself.
    • Click on the Add button to add the points in the shape to the selected relief layer.
    • Click on the Subtract button to subtract the points in the shape from the selected relief layer.
    • Click on the Zero button to reset all areas on the selected relief layer under the current Primary Colour to zero.
    • Click on the Merge High button to merge the shape with the selected relief layer, so that only the highest points remain.
    • Click on the Merge Low button to merge the shape with the selected relief layer, so that only the lowest points remain.
    • Click on the Zero Rest button to reset all areas of the selected relief layer other than those under the current Primary Colour to zero.
  12. Click on the Close button to close the Shape Editor dialog box.


New Magic Wand Tool

The new Magic Wand tool allows you to create vector boundaries around adjacent consistently coloured areas of a bitmap layer or contiguous areas of the composite relief at a consistent height.

To draw vector boundaries around adjacent consistently coloured areas of a selected bitmap layer:

  • You can create vector boundaries using the selected bitmap layer from either the 2D View or 3D View window. However, if you are working in the 3D View window it is easier to if the Colour Shade button in the 3D View toolbar is toggled on.
  1. Make sure that the bitmap layer hosting the image from which you want to create vector boundaries around a specific colour is selected from the stack shown in the Bitmaps area of the Layers Manager.
    • Make sure that the selected bitmap layer is also visible. If you cannot see the bitmap image associated with the selected bitmap layer, click on the Toggle All Visibility button Toggle All Visibility Button - Off in the Bitmaps area of the Layers Manager.
  2. Make sure that the vector layer on which you want ArtCAM Pro to draw the resulting artwork is selected from the stack shown in the Vectors area of the Layers Manager.
    • Make sure that the selected vector layer is also visible, otherwise the resulting vector artwork cannot be seen after the calculation process is complete.
  3. Click on the Magic Wand Tool button Magic Wand Tool Button in the Bitmap Tools area of the Assistant's Home page to display the Magic Wand Tool page.
  4. Select the Image Colour option by clicking on its radio button.
  5. In the Tolerance box, define the percentage range within which RGB variations of the selected colour are included. Type a lower value to include colours similar to the pixel on which you click, and a higher value to include a broad range of colours.
  6. Position the dropper DropperCursor over a pixel of the colour in the bitmap image around which you want to create vector boundaries, and then click to calculate the vector artwork.

    A progress bar is displayed in the status bar area during the calculation process:

    The resulting vector artwork is drawn on the selected vector layer.

  7. Click on the Close button to return to the Assistant's Home page.

To draw vector boundaries around contiguous areas of the composite relief at a consistent height:

  • You can create vector boundaries using the composite relief from either the 2D View or 3D View window. However, if you are working in the 2D View window it is easier to produce meaningful results if a greyscale of the composite relief is shown.
  1. Make sure that all of the separate relief layers that you want to include as part of the composite relief are visible.
  2. Make sure that the vector layer on which you want ArtCAM Pro to draw the resulting artwork is selected from the stack shown in the Vectors area of the Layers Manager.
  3. Click on the Magic Wand Tool button Magic Wand Tool Button in the Bitmap Tools area of the Assistant's Home page to display the Magic Wand Tool page.
  4. Select the Relief Height option by clicking on its radio button.
  5. In the Tolerance box, define the distance above or below the height of the composite relief directly beneath the mouse cursor at which contigous shapes created across relief layers are included.
  6. Position the dropper DropperCursor over area of the composite relief at the height around which you want to create vector boundaries, then click to calculate the vector artwork.
    • You can see the exact height of the composite relief directly beneath the mouse cursor by looking at the value shown in the Z area beneath the Layers and Add In tabs:

      A progress bar is displayed beneath the 3D View window during the calculation process:

      The resulting vector artwork is drawn on the selected vector layer.

  7. Press the F2 key on your keyboard to display the 2D View window. You can now see the vector boundaries created from the composite relief at the height originally beneath the mouse cursor.


New Vector Boundary Tool

You can now create vector boundaries from the composite relief or a selected relief layer. The resulting vector artwork can be used as an efficient machining boundary in several toolpaths, a boundary for envelope distortion, smoothing, applying texture or scaling, and for cleaning-up scanned data.

To create vector boundaries:

  1. Click on the Create Vector Boundary From Relief button Create Vector Boundary From Relief Button in the Relief Tools area of the Assistant's Home page to display the Create Vector Boundary page.
  2. Select the source relief from which you want to create vector boundaries. If you want to create vector boundaries around the content on a specific relief layer:
    • Make sure that the relief layer containing the shape around which you want to create vector boundaries is both visible and selected.
    • Select the Selected Relief Layer option by clicking on its radio button.

      If you want to create vector boundaries around the composite relief:

    • Make sure that all of the relief layers that make up the composite relief around which you want to create vector boundaries are visible.
    • Select the Composite Relief option by clicking on its radio button.
  3. Define the offset distance from the edge of the source relief at which you want to draw the vector boundaries in the Boundary Distance box.
  4. If you want to create vector boundaries around a specific area of the source relief:
    • Click to select the Use Height Range option. The Min Height box is now active.
    • Define the lowest point in the source relief at which you want ArtCAM Pro to create vector boundaries in the Min Height box.
    • You can see the exact height of the composite relief directly beneath the mouse cursor by looking at the value shown in the Z area beneath the Layers and Add In tabs:

    • If you want to limit the height at which ArtCAM Pro creates vector boundaries, click to select the Use Max Height option. The Max Height box is now active.
    • Define the highest point in the source relief at which you want to create vector boundaries in the Max Height box.
  5. Make sure that the vector layer on which you want to draw the resulting vector boundaries is selected.
  6. Click on the Create Boundary button to calculate the vector boundaries around the source relief.

    A progress bar is displayed in the status bar area during the calculation process:

    The resulting vector boundaries are magenta and surrounded by a bounding box; indicating that it is both ungrouped and selected.

    For example, the vector boundaries resulting from a composite lizard relief are drawn as follows:

    The lizard relief has a maximum Z height of 14.448 mm. If we select the Use Height Range option, then define a height of 8 mm in the Min Height box, the resulting vector boundaries are drawn as follows:

  7. Click on the Close button to return to the Assistant's Home page.


Enhanced Interactive Sculpting

You can now limit the reach of any of the tools available when sculpting the composite relief. This is particularly useful for engraving work which demands a strict Z range.

To set the position in the composite relief beneath which the sculpting is prohibited:

  1. Make sure that Lock Zero Plane option is selected.
  2. Define the height at which you want to set the zero plane in the composite relief in the box below.


Enhanced Lights and Material Settings

There are two new options available in the Shading Setup list box. The Modelling Default and Simulation Default options replace the Default option available in previous versions of ArtCAM Pro. The settings associated with the Default option available in previous versions of ArtCAM Pro are now named Old Default.

You can store custom settings as the Modelling Default and the Simulation Default so that these are used when viewing the composite relief and simulated toolpaths in the 3D View window.


New Relief Layer Thumbnails

In previous versions of ArtCAM Pro, it was not possible to determine the content on a specific relief layer unless it was actually visible in the 3D View window. Each relief layer now has its own thumbnail image, allowing you to check its content irrespective of whether it is currently visible in the 3D View window or not. This is particularly valuable when a composite relief is made up of a large number of relief layers.

To preview the content on a specific relief layer:

  1. Move the mouse cursor over the thumbnail image to the left of the Relief Combine Mode toolset associated with the relief layer in the stack shown in the Reliefs area of the Layers Manager.

    The thumbnail image is magnified to display the content on the relief layer more clearly.

    • The dimensions of the original thumbnail image associated with each relief layer are 17 x 17 pixels. The dimensions of the magnified thumbnail image are 100 x 100 pixels.
    • A relief layer does not need to be selected in order for its magnified thumbnail image to appear.
    • The thumbnail image, either in its original or magnified state, is a scaled-to-fit isometric view of the relief layer as if it were shown alone in the 3D View window. The thumbnail view does not adopt the view orientation applied to the actual 3D View window.
    • If you move the mouse cursor up or down vertically in line with the column of thumbnail images in the relief layer stack, the visible magnified thumbnail image is immediately updated.


New Slice Relief Tool

The new Slice Relief tool allows you to divide the composite relief or the content on a single relief layer into slices. The depth of each slice is typically equal to the thickness of the sheet(s) of material available for a particular job.

To slice either the composite relief or a selected relief layer:

  1. Click on the Cut Visible Relief Into Slices button Slice Relief Button in the Relief Tools area of the Assistant's Home page to display the Slice Relief page.

    The current dimensions of the composite relief are shown in the Relief area of the page.

    • The composite relief is the sum of all visible relief layers in the layer stack shown in the Reliefs area of the Layers Manager.
  2. Select the slicing method that you want to use. If you want to divide the content on a specific relief layer into slices:
    • Make sure that the relief layer that you want to divide into slices is both visible and selected.
    • Select the Selected Relief Layer option by clicking on its radio button.

      If you want to divide the composite relief into slices:

    • Make sure that all of the relief layers that make up the composite relief that you want to divide into slices are visible.
    • Select the Composite Relief option by clicking on its radio button.
  3. Define the thickness of the material sheet on which you want to machine each of the resulting slices in the Material Thickness box.
  4. Click on the Slice Relief button to slice either the selected relief layer or composite relief into layers equal to the defined material thickness.

    A progress bar is displayed in the status bar area indicating the progress ArtCAM Pro is making in calculating the slices. The total shown in the Slices to be created area counts down each time a new slice is created.

    Each slice is created on a separate relief layer in the Reliefs area of the Layers Manager. Each new relief layer is added to the top of the layer stack and numbered consecutively by default.

  5. Click on the Close button to return to the Assistant's Home page.


Enhanced Machine Relief Toolpath

The following enhancements have been added to the Machine Relief toolpath:

  • Machining within an Automatic Boundary. This allows you to machine as closely as possible to the composite relief above or below its base height using a chosen tool. ArtCAM Pro calculates a boundary vector using the tool geometry.
  • The 3D Offset machining strategy. This produces a toolpath where the stepover is consistent when machining the composite relief, irrespective of direction . This technique is best suited to machining areas which require a constant stepover and works well on steep and near vertical surfaces.
  • The 3D Offset Spiral machining strategy. This produces a spiral toolpath where the stepover is consistent when machining the composite relief, irrespective of direction. This minimises the number of lifts of the tool and maximises cutting time while maintaining more constant load conditions and deflections on the tool.

To machine the surface of the composite relief:

  1. Click on the Toolpaths tab to display the Toolpaths Home page.
  2. Click on the Machine Relief button Machine Relief Button in the 3D Toolpaths area to display the Machine Relief page in the Assistant window.
  3. Select one of the Area To Machine options to control how the composite relief is machined:
    • Click on the Composite Relief radio button if you want to machine the whole of the composite relief.

      If you have chosen this option, make sure that all of the relief layers that make up the composite relief you want to machine are visible.

    • Click on the Selected Vector radio button if you want to machine an area of the composite relief within the boundary of a selected closed vector.

      If you have chosen this option, click to select the closed vector shown in the 2D View window that defines the area of the composite relief that you want to machine.

    • Click on the Automatic Boundary radio button if you want to machine as closely as possible to the composite relief when using a specific tool. ArtCAM Pro calculates a boundary vector using the tool geometry.

      If you have chosen this option, define any offset that you want to apply to the calculated boundary in the Offset box below.

    • If you select a tool from the Tool Database using the Select... button in the Tool area, you can then click on the Preview button to calculate the boundary vector used to machine the composite relief. A progress bar is displayed in the status bar area during the calculation process:

      The resulting vector boundary is drawn on the currently selected vector layer in green and is surrounded by a bounding box; indicating that it is both locked and selected.

  4. Click on the Strategy list box to display the strategies available according to the chosen machining area, followed by the strategy that you want to use.

    If you have selected the Composite Relief option, then you can choose from the following strategies:

    • Raster in X - This strategy machines back and forth along the X-axis at a specified angle.
    • Raster in X and Y - This strategy machines in two perpendicular directions at a specified angle. This strategy improves the surface finish but can also be time consuming.
    • Spiral - This strategy machines in a spiral motion. When the tool reaches the first edge of the composite relief it retracts, traverses along the edge of the composite relief and then plunges to continue machining the next area of the composite relief. This strategy allows you to machine the entire composite relief but can also be time consuming.
    • Spiral in Box - This strategy machines in a spiral motion. When the tool reaches the first edge of the composite relief it retracts, traverses along the edge of the composite relief and then plunges to continue machining the next area of the composite relief. This strategy allows you to machine the entire composite relief but can also be time consuming.
    • 3D Offset - This strategy creates a toolpath where the stepover is consistent when machining the composite relief, irrespective of direction. This technique is best suited to machining areas which require a constant stepover and works well on steep and near vertical surfaces.
    • 3D Offset Spiral - This strategy produces a spiral toolpath where the stepover is consistent when machining the composite relief, irrespective of direction. This minimises the number of lifts of the tool and maximises cutting time while maintaining more constant load conditions and deflections on the tool.

      If you have selected the Selected Vector or Automatic Boundary option, then you can choose from the following strategies:

    • Raster - This strategy machines back and forth at a specified angle.
    • Offset - This strategy machines in repeated passes, each time moving inwards by the stepover value of the tool you use. You can see the stepover associated with the selected tool when the machining parameters are displayed in the Tool area.
    • 3D Offset - This strategy creates a toolpath where the stepover is consistent when machining the composite relief, irrespective of direction. This technique is best suited to machining areas which require a constant stepover and works well on steep and near vertical surfaces.
    • 3D Offset Spiral - This strategy produces a spiral toolpath where the stepover is consistent when machining the composite relief, irrespective of direction. This minimises the number of lifts of the tool and maximises cutting time while maintaining more constant load conditions and deflections on the tool.
  5. If you have selected a Raster strategy:
    • Define the angle at which you want the tool to move in the Raster Angle box.
    • You can set the default raster angle used in all toolpaths using the ArtCAM Options page.
    • To leave additional material on the surface of the composite relief to allow for the final machining pass, define the amount in the Allowance box.
    • Define how closely you want the cutting tool to follow the shape of the composite relief in the Tolerance box.
  6. If you have selected an Offset, 3D Offset or 3D Offset Spiral strategy:
    • The Cutting Direction defaults to Climb Mill. Climb milling rotates the cutting tool in the same direction as the feed motion. If you want to change this, select the Conventional option by clicking on its radio button.
    • You can set the default cutting direction used in all toolpaths using the ArtCAM Options page.
    • The Start Point defaults to Inside. This means that machining begins from the middle and moves outwards. If you want to begin from the boundary and machine inwards, select the Outside option by clicking on its radio button.
    • If you want to restrict the reach of the offset machining passes, click to select the Limit Offset Distance option and then define how far the final pass of the offset toolpath is from the boundary vector in the Distance box below.
    • To leave additional material on the surface of the composite relief to allow for the final machining pass, define the amount in the Allowance box.
    • Define how closely you want the cutting tool to follow the shape of the composite relief in the Tolerance box.
  7. If you want to change the height at which the machining tool makes rapid moves between toolpath segments:
    • First click on the Display Settings Icon arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First define its position along the X, Y and Z axes in the Home Position's X, Y and Z boxes.
    • Next click on the Hide Settings Icon arrow to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  8. Click on the Select... button in the Tool area to open the Tool Database:

  9. Double-click on the tool that you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Tool area of the Machine Relief page.

    If you want to amend the machining parameters associated with the selected tool, click on the Display Settings Icon arrow in the Tool area.

    When you have finished, click on the Hide Settings Icon arrow to hide the machining parameters.

    • If you have selected the Automatic Boundary option in the Area To Machine area, you can now click on the Preview button to calculate the boundary vector used to machine the composite relief. A progress bar is displayed in the status bar area during the calculation process:

      The resulting vector boundary is drawn on the currently selected vector layer in green and is surrounded by a bounding box; indicating that it is both locked and selected.

  10. If you want the selected tool to make several Z passes during the machining process:
    • First click to select the Do Multiple Z Passes option.
    • Next define the height at which the tool enters the block of material in the Z Height of First Pass box.
    • Next define the height at which the tool exits the block of matieral in Z Height of Last Pass box.

      The actual number of passes made between these two heights is determined by the Stepdown associated with the selected tool.

  11. If you want to add ramping moves to the toolpath:
    • First click to select the Add Ramping Moves option. The ramping moves settings are displayed.
    • If you do not want to use any of the four ramping moves settings, click to deselect the option(s) you do not require.
    • Next define the maximum angle of descent for each zig and zag movement of the selected tool in the Max Ramp Angle (A) box.
    • Now define the maximum distance along which you want the selected tool to zigzag across the surface of the composite relief in the Max Ramp Length (L) box.
    • Next define the minimum distance along which you want the selected tool to zigzag across the surface of the composite relief in the Min Ramp Length (Lmin) box.
    • Define the height at which the ramping moves begin in the Ramp Start Height (S) box.
    • If you deselect the Ramp Start Height (S) option, ArtCAM Pro uses the value in the Safe Z box in the Machine Safe Z area instead.
  12. If your material settings are undefined, click on the Setup... button in the Material area to display the Material Setup dialog box.
    • If you have previously defined your material settings, the material thickness is shown in the Material area. Click on the Display Settings Icon arrow in the Material area to view the material Z zero position and the Z height of both the top and bottom of the block.
  13. Type the name that you want to give the toolpath in the Name box.
    • If you do not give the toolpath a name, the Machine Relief label is used by default.
  14. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed in the status bar area during the calculation process:

      You can click on the Cancel button to end the calculation process at any time.

    • If you want to calculate the toolpath either independently or as part of a batch of toolpaths at a later time, click on the Later button.
  15. Click on the Close button to return to the Toolpaths Home page.

    The toolpath is listed on the Toolpaths Home page. If the toolpath name is shown in black, this indicates that the toolpath has already been calculated. If it is shown in red, this indicates that the toolpath has not yet been calculated. When calculated, a wireframe view of the toolpath is shown in the 3D View window by default.


Enhanced Feature Machining Toolpath

In previous versions of ArtCAM Pro, each of the three types of feature available in ArtCAM Pro had its own separate button in the 3D Toolpaths area of the Toolpaths page, each with its own corresponding page of settings. Once created, any of these feature could be selected from a list box on the Feature Machining page at the time of creating a toolpath.

All of the settings originally found on the Create Raised Feature, Create Recessed Feature and Create Centreline Feature pages have now been consolidated on the Feature Machining page.

As a result the Raised Feature, Recessed Feature, Centreline Feature and Return Feature To Normal Vectors button have all been removed from the 3D Toolpaths area:

3D Toolpaths Area - Removed Feature Buttons

The Choose Feature list box on the Feature Machining page itself has also been removed:

Choose Feature List Box - Feature Machining

The following enhancements have also been made to the Feature Machining toolpath:

  • When creating a raised or recessed feature using and angled Feature Tool, you can extend the sharpening of the external corners to the bottom of the feature. In previous versions of ArtCAM Pro, you could only sharpen the external corners at the top of a feature.
  • A copy of the vector artwork from which the feature is created is pasted onto a new vector layer directly above the currently selected vector layer. This new vector layer is named Feature Vectors by default. In previous versions of ArtCAM Pro, the vector artwork chosen for a particular feature became a 'feature vector'.

To create a feature:

  1. Click on the Toolpaths tab to display the Toolpaths Home page.
  2. Click on the Feature Machining button Feature Machining Button in the 3D Toolpaths area to display the Feature Machining page in the Assistant window.
  3. Select the vector artwork shown in the 2D View from which you want to create a feature.
  4. Select the type of feature that you want to create by clicking on the appropriate radio button in the Type of Feature area:
    • If you want to create a raised feature, click to select the Raised Feature option.
    • If you want to create a recessed feature, click to select the Recessed Feature option.
    • If you want to create a centreline feature, click to select the Centre Line Feature option.
  5. If you have selected the Raised Feature option:
    • Define the height of the raised feature in the Feature Height box.
    • If you want to add or remove extra material around the vector artwork used for the feature, define the allowance in the Feature Allowance box.
    • The Feature Allowance option is greyed-out when the Outer vector defines machining limit option is selected.
    • If the vector artwork used for the feature contains a central cavity that you want to remove with your chosen Feature Tool, make sure that the Clear inner islands option is selected.
    • The Clear inner islands option is greyed-out when the Outer vector defines machining limit option is selected.

      If you do not select this option, the Feature Tool can only remove material inside of a central cavity as far as the Feature Allowance and/or Overcut Distance allow.

      If you select this option, any Feature Allowance and/or Overcut Distance that you define is ignored by the Feature Tool used to machine the raised feature.

    • If you want to leave an allowance around the vector artwork used for the feature, including any associated central cavity, make sure that the Use constant allowance around vector option is selected by clicking on its radio button.
    • If you want to machine around the boundary of the vector artwork used for the feature, make sure that the Outer vector defines machining limit option is selected. If the vector artwork contains a central cavity, the cavity is not removed when using this option.
    • When the Outer vector defines machining limit option is selected, the Feature Allowance and Clear inner islands options are greyed-out.
    • If you want to sharpen the external corners at the top of the feature, providing that you choose an angled Feature Tool, make sure that the Sharpen At Top option is selected.
    • If you want to extend the sharpening of the external corners to the bottom of the feature, providing that you choose an angled Feature Tool, make sure that the Sharpen At Bottom option is selected.
    • When the Vector at Bottom Edge option is selected, the Sharpen At Top and Sharpen At Bottom options are greyed-out. ArtCAM Pro extends the sharpening of the external corners to the bottom of the feature by default when the Vector at Bottom Edge option is selected.
    • If you want the selected Feature Tool to be in contact with the top edge of the vector artwork used for the feature during the machining process, select the Vector at Top Edge option by clicking on its radio button.
    • If you want the selected Feature Tool to be in contact with the bottom edge of the vector artwork used for the feature during the machining process, select the Vector at Bottom Edge option by clicking on its radio button.
  6. If you have selected the Recessed Feature option:
    • Define the depth of the recessed feature in the Feature Depth box.
    • If you want to sharpen the external corners at the top of the feature, providing that you choose an angled Feature Tool, make sure that the Sharpen At Top option is selected.
    • If you want to extend the sharpening of the external corners to the bottom of the feature, providing that you choose an angled Feature Tool, make sure that the Sharpen At Bottom option is selected.
    • When the Vector at Bottom Edge option is selected, the Sharpen At Bottom option is greyed-out.
    • If you want the selected Feature Tool to be in contact with the top edge of the vector artwork used for the feature during the machining process, select the Vector at Top Edge option by clicking on its radio button.
    • If you want the selected Feature Tool to be in contact with the bottom edge of the vector artwork used for the feature during the machining process, select the Vector at Bottom Edge option by clicking on its radio button.
  7. If you have selected the Centre Line Feature option:
    • Define the depth of the centre line feature in the Feature Depth box.
  8. Choose the strategy that you want to use during the machining process:
    • If you only want the Feature Tool to make profile passes around the vector artwork used for the feature, select the Profile Only option by clicking on its radio button.

      If you have selected the Profile Only machining strategy, define any offset that you want to apply above the surface of the composite relief in the Allowance box.

    • If you want the Feature Tool to clear an area of material within the boundary of the vector artwork used for the feature and then make profile passes around the boundary, select the Area Clear option by clicking on its radio button.
    • The vector artwork used for the feature is not machined using the Area Clear strategy. A protected area is created around the vector artwork during the machining process.

      If you have selected the Area Clear machining strategy, define the in the Overcut Distance box to remove any ridge of unwanted material that remains around the machined feature.

    • The value in the Overcut Distance box should normally be equal to the radius of the Feature Tool used in the Area Clear strategy.
  9. To complete the strategy that you have selected as a series of passes in the Z direction, click to select the Do Multiple Z Passes option. Its associated options are displayed.
    • Define the number of Z passes that you want to make in the Num Slices box.
    • To evenly distribute the number of Z passes through the block of material, click on the Linear Spacing button.
    • To add another Z pass, click on the Add button. For each click, a new value appears in the main box and value shown in the Num Slices box increases sequentially.
    • To delete a Z pass, click to select a value in the main box and then click on the Delete button. For each click, the selected value is removed from the main box and the Num Slices box decreases sequentially.
    • To change any of the values shown in the main box, click to select the value that you want to edit, define the new value in the Update box and then click on the Update button.
    • To delete all of the current values displayed in each of the boxes, click on the Clear All button.
  10. Define how the Feature Tool reaches the depth associated with the feature:
    • If you want ArtCAM Pro to conduct a check for the probability of a collision between the tool geometry and the material surface before the tool descends to the cutting depth, select the Drop Tool option by clicking on its radio button.

      If a collision is anticipated, ArtCAM Pro avoids this by adjusting the cutting depth. This can prevent the problem of gouging.

    • If you want to allow the Feature Tool to descend to the cutting depth, ignoring any probability of a collision between the tool geometry and the material surface, select the Project Tool option by clicking on its radio button.
    • The Project Tool option can cause gouging in the material surface around the edge of the selected Feature Tool.
  11. Select the cutting direction that you want to use during the machining process:
    • If you want the Feature Tool to rotate in the same direction as the feed motion, select the Climb option by clicking on its radio button.
    • If you want the Feature Tool to rotate in the opposite direction to the feed motion, select the Conventional option by clicking on its radio button.
    • You can set the default cutting direction using the ArtCAM Options page.
  12. Define how closely you want the Feature Tool to follow the shape of the vector artwork used for the feature in the Tolerance box.
  13. If you want to change the height at which the Feature Tool makes rapid moves between toolpath segments:
    • First click on the Display Settings Icon arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next define the height in the Safe Z box.

      If you want to define the Home Position for the Feature Tool:

    • First define its position along the X, Y and Z axes in the Home Position's X, Y and Z boxes.
    • Next click on the Hide Settings Icon arrow to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  14. Click on the Select... button in the Feature Tool area to open the Tool Database:

  15. Double-click on the tool that you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Feature Tool area.

    If you want to amend the machining parameters associated with the selected tool, click on the Display Settings Icon arrow in the Feature Tool area.

    When you have finished, click on the Hide Settings Icon arrow to hide the machining parameters.

  16. If your material settings are undefined, click on the Setup... button in the Material area to display the Material Setup dialog box.
    • If you have previously defined your material settings, the material thickness is shown in the Material area. Click on the Display Settings Icon arrow in the Material area to view the material Z zero position and the Z height of both the top and bottom of the block.
  17. Type a name for the toolpath in the Name box.
  18. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A copy of the vector artwork from which the feature is created is pasted onto a new vector layer directly above the currently selected vector layer. This new vector layer is named Feature Vectors by default. The vector artwork is shown in blue when deselected, regardless of whichever colour is assigned to the vector layer.

      The feature itself is created on either the front or back surface of your design, depending on which layer stack is selected in the list box shown in the Reliefs area of the Layers Manager.

    • If you want to calculate the toolpath as part of a batch of toolpaths at a later time, click on the Later button.
  19. Click on the Close button to return to the Toolpaths Home page.


Enhanced Z Level Roughing Toolpath

The following enhancements have been added to the Machine Relief toolpath:

  • Machining within an Automatic Boundary. This allows you to machine as closely as possible to the composite relief above or below its base height using a chosen tool. ArtCAM Pro calculates a boundary vector using the tool geometry.
  • Use the Z dimensions of the composite relief to control the position of the Start/Surface Z and Last Slice Z.

To remove a cross-section of the composite relief in the Z direction:

  1. Click on the Toolpaths tab to display the Toolpaths Home page.
  2. Click on the Z Level Roughing button Z Level Roughing Button in the 3D Toolpaths area to display the Z Level Roughing page in the Assistant window.
  3. Select one of the Area To Machine options to control how the composite relief is machined:
    • Click on the Composite Relief radio button if you want to remove material across the entire surface of the composite relief.

      If you have chosen this option, make sure that all of the relief layers that make up the composite relief you want to machine are visible.

    • Click on the Selected Vector radio button if you want to remove material froman area of the composite relief within the boundary of a selected closed vector.

      If you have chosen this option, click to select the closed vector shown in the 2D View window that defines the area of the material that you want to remove from the composite relief.

    • Click on the Automatic Boundary radio button if you want to machine as closely as possible to the composite relief when using a specific tool. ArtCAM Pro calculates a boundary vector using the tool geometry.

      If you have chosen this option, define any offset that you want to apply to the calculated boundary in the Offset box below.

    • If you select a tool from the Tool Database using the Select... button in the Roughing Tool area, the boundary vector used to machine the composite relief is calculated immediately. A progress bar is displayed in the status bar area during the calculation process:

      The resulting vector boundary is drawn on the currently selected vector layer in green and is surrounded by a bounding box; indicating that it is both locked and selected.

  4. Click on the Select... button in the Tool area to open the Tool Database:

  5. Double-click on the tool that you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Roughing Tool area of the Z Level Roughing page.
    • It is recommended that you choose an End Mill tool for Z Level Roughing.

      If you want to amend the machining parameters associated with the selected tool, click on the Display Settings Icon arrow in the Roughing Tool area.

      When you have finished, click on the Hide Settings Icon arrow to hide the machining parameters.

  6. If you want to add ramping moves to the toolpath:
    • First click to select the Add Ramping Moves option. The ramping moves settings are displayed.
    • If you do not want to use any of the four ramping moves settings, click to deselect the option(s) you do not require.
    • Next define the maximum angle of descent for each zig and zag movement of the selected tool in the Max Ramp Angle (A) box.
    • Now define the maximum distance along which you want the selected tool to zigzag across the surface of the composite relief in the Max Ramp Length (L) box.
    • Next define the minimum distance along with you want the selected tool to zigzag across the surface of the composite relief in the Min Ramp Length (Lmin) box.
    • Define the height at which the ramping moves begin in the Ramp Start Height (S) box.
    • If you deselect the Ramp Start Height (S) option, ArtCAM Pro uses the value in the Safe Z box in the Machine Safe Z area instead.
  7. If your material settings are undefined, click on the Setup... button in the Material area to display the Material Setup dialog box.
    • If you have previously defined your material settings, the material thickness is shown in the Material area. Click on the Display Settings Icon arrow in the Material area to view the material Z zero position and the Z height of both the top and bottom of the block.
  8. If you want to control the number of Z passes used to machine between the top of the material block and the lowest point in the composite relief:
    • If you want the Z dimensions of the composite relief to decide the position of the first and last slice, click to select the Use Model Limits option. The Start/Surface Z and Last Slice Z boxes are greyed-out.
    • First define the position of the first Z slice in the Start/Surface Z box..
    • If the Use Model Limits option is selected, this box is greyed-out. The value shown is equal to the top of the material block or the maximum Z height in the composite relief where the material setup has not been defined.
    • Next if you want to leave additional material on the surface of the composite relief for a finishing tool to remove, define the amount in the Material Allowance box. The allowance sets the distance between the surface of the composite relief and the Roughing Tool.
    • If you define the Material Allowance as zero, this can cause dwell marks to remain on the material surface after the final machining pass. ArtCAM Pro therefore applies an allowance of 0.05 mm or 0.001 inches to the last Z slice.
    • Now define the position of the last Z slice in the Last Slice Z box.
    • If the Use Model Limits option is selected, this box is greyed-out. The value shown is equal to the minimum Z height in the composite relief plus any defined Material Allowance.
    • Finally click on the Apply button to calculate the number of slices and their thickness based on your settings.

      The resulting number of slices and the thickness of each of them is shown in the Z Slices area.

  9. If you want to change the height at which the machining tool makes rapid moves between toolpath segments:
    • First click on the Display Settings Icon arrow in the Machine Safe Z area to display the Safe Z box, the Home Position's X, Y and Z boxes and the Tolerance box.
    • Next define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • Define the co-ordinates of its position along the X, Y and Z axes in the Home Position's X, Y and Z boxes.

      If you want to define how closely you want to the machining tool to follow the shape of the composite relief:

    • First define the tolerance that you want to apply in the Tolerance box.
    • Next click on the Hide Settings Icon arrow to hide the Safe Z box, the Home Position's X, Y and Z boxes and the Tolerance box.
  10. In the Strategy area, select the machining strategy that you want to use by clicking on either of the radio buttons:
    • Select the Raster option if you want to machine back and forth along the X-axis at a specified angle.
    • Select the Offset option if you want to machine in repeated passes, each time moving by a distance equal to the Stepover value of the selected Roughing Tool.
    • The stepover of the selected tool must be less than its diameter.

      If you have selected the Raster strategy:

    • Define the angle at which you want the tool to move in the Raster Angle box.
    • You can set the default raster angle used in all toolpaths using the ArtCAM Options page.
    • If you want do not want the tool to profile the composite relief, select the None option by clicking on its radio button.
    • If you want the tool to profile and then move inwards to raster clear the composite relief , select the First option by clicking on its radio button.
    • If you want the tool to move outwards to raster clear and then profile the composite relief, select the Last option by clicking on its radio button.

      If you have selected the Offset strategy:

    • The Cutting Direction defaults to Climb Mill. Climb milling rotates the cutting tool in the same direction as the feed motion. If you want to change this, select the Conventional option by clicking on its radio button.
    • You can set the default cutting direction used in all toolpaths using the ArtCAM Options page.
    • The Start Point defaults to Inside. This means that machining begins from the middle and moves outwards. If you want to begin from the boundary and machine inwards, select the Outside option by clicking on its radio button.
    • If you want to restrict the reach of the offset machining passes, click to select the Limit Offset Distance option and then define how far the final pass of the offset toolpath is from the boundary vector in the Distance box below.
    • To leave additional material on the surface of the composite relief to allow for the final machining pass, define the amount in the Allowance box.
    • Define how closely you want the cutting tool to follow the shape of the composite relief in the Tolerance box.
  11. Type the name that you want to give the toolpath in the Name box.
    • If you do not give the toolpath a name, the Z Roughing label is used by default.
  12. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.
    • If you are using any tool from the Tool Database other than an End Mill, a message box is displayed warning that additional material will remain on the surface of the composite relief in addition to any defined Material Allowance:

      Click on the OK button to close the message box.

    • If the value in the Stepover box is greater than the diameter associated with the selected Roughing Tool, a message box is displayed warning that the stepover must be less than its diameter:

      Click on the OK button to close the message box and then edit the stepover associated with the selected Roughing Tool so that it is less than its diameter.

      A progress bar is displayed in the status bar during the calculation process:

      You can click on the Cancel button to end the calculation process at any time.

    • If you want to calculate the toolpath either independently or as part of a batch of toolpaths at a later time, click on the Later button.
  13. Click on the Close button to return to the Toolpaths Home page.

    The toolpath is listed on the Toolpaths Home page. If the toolpath name is shown in black, this indicates that the toolpath has already been calculated. If it is shown in red, this indicates that the toolpath has not yet been calculated. When calculated, a wireframe view of the toolpath is shown in the 3D View window by default.


Enhanced Smart Engraving Toolpath

The overall calculation time for the Smart Engraving toolpath is noticeably faster and its resulting moves are far cleaner.

Using the Smart Engraving page you can:

  • Select multiple tools to perform Smart Engraving, where ArtCAM Pro selects the largest tool first and then smaller tools in succession as their size is reduced. This provides the most efficient way of machining, as the larger tools clear unwanted material so that the smaller tools can then machine smaller pockets to produce the engraved detail.
  • Select a different tool clearance strategy for each of your chosen tools. Depending on what strategy you choose, you can control the angle or where and in what direction a tool cuts into the block of material.
  • Control the areas in which an Engraving tool sharpens and profiles.
  • Offset a Roughing tool so to leave sufficient material for an Engraving tool to form the side of the engraved feature.

To engrave a selection of vector artwork:

  1. Click on the Toolpaths tab to display the Toolpaths Home page.
  2. Click on the Engraving button Engraving Button in the 2D Toolpaths area to display the Smart Engraving page in the Assistant window.
  3. Select the vector artwork that you want to engrave.
  4. Define the depth (Z) below the material surface at which you want to begin engraving in the Start Depth box.
  5. Define the depth (Z) of the bottom of the cut into the material block in the Finish Depth box.
  6. Define how closely you want your chosen Roughing and Engraving tools to follow the shape of the selected vector artwork in the Tolerance box.
  7. To place an Engraving tool in contact with the top edge of the selected vector artwork during the machining process, make sure that the Vectors are on surface option is selected.

    If the Vectors are on surface option is deselected, an Engraving tool is placed in contact with the bottom edge of the selected vector artwork during the machining process and the Offset end mills for engraving tools option is greyed-out.

  8. If you are engraving one vector inside of another, and do not want an Engraving tool to sharpen the corners or machine around the boundary of the outer vector, click to select the Outer vectors are boundary option.

    In the example below, you can see that the Engraving tool machines along the boundary and sharpens the corners of the outer rectangular vector when the Outer vectors are boundary option is selected:

    Outer Vectors are boundary OFF…

    Outer Vectors are boundary ON…
  9. To offset an End Mill Roughing tool in order to leave sufficient surface material for an angle-edged Engraving tool to form the side of an engraved feature, click to select the Offset end mills for engraving tools option.
    • If you have already selected the Vectors are on surface option, the Offset end mills for engraving tools option cannot be used.
  10. If you want to change the height at which your chosen tools make rapid moves between toolpath segments:
    • First click on the Display Settings Icon arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next define the height in the Safe Z box.

      If you want to define the Home Position for your chosen tools:

    • First define its position along the X, Y and Z axes in the Home Position's X, Y and Z boxes.
    • Next click on the Hide Settings Icon arrow to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  11. Click on the Add button in the Tools List area to open the Tool Database:

    Tool Database - Conical 0.125 Flat 10 Degrees

  12. Double-click on the first tool that you want to add to the Tools List. ArtCAM Pro closes the Tool Database, highlights the description of the tool in the Tools List window and also displays its machining parameters.
    • If you want to delete any of the tools listed in the Tools List window, click on the description of the tool that you want to delete followed by the Remove button.

      If you want to change the machining parameters associated with the selected tool.

      When you have finished, click on the Hide Settings Icon arrow next to the tool's description to hide the machining parameters.

  13. Repeat the previous two steps until all of the tools that you want to use to machine the selected vector artwork are listed in the Tools List window.
  14. Define a machining strategy for each of the tools listed in the Tools List window. To select the tool for which you want to define its machining strategy, you can either:
    • Click on the tool's description in the Tools List window; or
    • Use the [image] and [image] arrows to toggle through the list of tools in the Tools List window.

      The description of the selected tool is highlighted in blue. The machining parameters shown below the Tools List window are updated each time a new tool is selected.

  15. If you want to leave additional material around the selected vector artwork, define the distance between the boundary of the vector artwork and the selected tool in the Allowance box.
  16. In the Tool Clearance Strategy area, select how you want the selected tool to clear the area within the selected vector artwork by clicking on either of the radio buttons:
    • Select the Raster option if you want to machine back and forth along the X-axis at a specified angle.
    • Select the Offset option if you want to machine in repeated passes, each time moving by a distance equal to the Stepover value of the selected tool.

      If you have selected the Raster strategy:

    • Define the angle at which you want the selected tool to move in the Raster Angle box.
    • You can set the default raster angle used in all toolpaths using the ArtCAM Options page.

      If you have selected the Offset strategy:

    • The Cutting Direction defaults to Climb Mill. Climb milling rotates the cutting tool in the same direction as the feed motion. If you want to change this, select the Conventional option by clicking on its radio button.
    • You can set the default cutting direction used in all toolpaths using the ArtCAM Options page.
  17. Choose the machining options that you want to use for the selected tool:
    • If you want the selected tool to sharpen the corners of the selected vector artwork during the machining process, click to select the Do Corner Sharpening option.
    • The Do Corner Sharpening and Only Smart Engrave Profile options are greyed-out if either the Vectors are on surface option is deselected or if anything other than a V-Bit or Conical tool is currently selected in the Tools List window.

      In the example below, you can see that the Engraving tool profiles the A vector text to sharpen its corners with the Do Corner Sharpening option is selected.

      Do Corner Sharpening OFF…

      Do Corner Sharpening ON…

      The Engraving tool is also lifted in the Z direction to minimize the curvature in the corners of the A vector text.

    • If you want the selected tool to profile only the selected vector artwork that has not previously been machined by a larger tool, click to select the Only Smart Engrave Profile option.
    • If you want the selected tool to only make a single profile pass around the selected vector artwork, click to select the Profile Only option.

      In the example below, you can see that the number of machining passes is reduced when the Profile Only option is selected, particularly in the central cavity of the A vector text:

      Profile Only OFF…

      Profile Only ON…
    • If you want the selected tool to cut at a different depth to other tools, click to select the Independent Finish Depth option then define the absolute Z zero value of the bottom of the area that you want to machine in the Finish Depth box below.
  18. If your material settings are undefined, click on the Setup... button in the Material area to display the Material Setup dialog box.
    • If you have previously defined your material settings, the material thickness is shown in the Material area. Click on the Display Settings Icon arrow in the Material area to view the material Z zero position and the Z height of both the top and bottom of the block.
  19. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option.
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking to deselect the 2D option in the Show In area of the Toolpaths Home page.
  20. Type the name that you want to give the toolpath in the Name box.
    • If you do not give the toolpath a name, the Smart Engraving label is used by default.
  21. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed in the status bar area during the calculation process:

      You can click on the Cancel button to end the calculation process at any time.

    • If you want to calculate the toolpath either independently or as part of a batch of toolpaths at a later time, click on the Later button.
  22. Click on the Close button to return to the Toolpaths Home page.

    The toolpath is listed on the Toolpaths Home page. If the toolpath name is shown in black, this indicates that the toolpath has already been calculated. If it is shown in red, this indicates that the toolpath has not yet been calculated. When calculated, a wireframe view of the toolpath is shown in the 3D View window by default.

    Providing that the Create 2D Preview option was selected at the time of calculating the toolpath, a toolpath preview is shown in the 2D View window by default.


New Drill Bank Toolpath

Drill Banks (Gang Drills) are a collection of drills, attached to the moving head of a router. They are primarily used by cabinetmakers to drill a large number of holes simultaneously.

ArtCAM Pro's Drill Bank toolpath allows you to drill at the centre of each vector in a selection of artwork, typically circular. You can configure any type of Drill Bank pattern such as L, + or T shapes containing any number of drills to match the Drill Bank on your machine. ArtCAM Pro considers the selected geometry and applies a Drill Bank toolpath for all X and Y axis holes containing a 32 mm (1.26") pitch (standard pitch value for most machines).

To create a drill bank toolpath:

  1. Select the vector artwork in the 2D View window that represents the layout of the holes that you want to drill.

    In the example shown below, a 5 mm (0.197") circle was drawn. This is equivalent to the drill diameter. The circle was then block copied into 5 columns and rows with an X and Y offset of 32 mm (1.26"). This offset is equivalent to the standard European drill bank pitch.

  2. Click on the Toolpaths tab to display the Toolpaths Home page.
  3. Click on the Drill Banks button Drill Banks Button in the 2D Toolpaths area to display the Drill Banks page.
  4. If you want to load a toolpath template:
    • First click on the Load... button in the Drill Banks Toolpath Template area to display the Load Toolpath Template dialog box:

      Load Toolpath Template Dialog Box

    • Next click on the Look in list box, then click to select the folder on your computer in which the toolpath template that you want to use is stored.
    • When you have found the toolpath template file, click on the file name listed in the main window of the Load Toolpath Template dialog box.
    • Now click on the Open button to close the dialog box and load the toolpaths within the template file into ArtCAM Pro. The toolpaths are listed on the Toolpaths Home page.
  5. Define the surface depth of the area in which you want to drill holes in the Start Depth box.
  6. Define the bottom of the drill holes in the Finish Depth box.
  7. Define the height above the material block at which you want your tool to make the transition from the rapid rate to the plunge rate in the Plunge Clearance box.
    • To display the default plunge rate associated with the drill bank, click on the Display Settings Icon arrow in the Parameters area. You can change the plunge rate associated with the drill bank.
  8. If you want to change the height at which the drill bank makes rapid moves between toolpath segments:
    • First click on the Display Settings Icon arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next define the height in the Safe Z box.
  9. If you want to define the Home Position for the drill bank:
    • First define its position along the X, Y and Z axes in the Home Position's X, Y and Z boxes.
    • Next click on the Hide Settings Icon arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  10. If you want to change the machining parameters for the drill bank, click on the Display Settings Icon arrow in the Parameters area to display the Feed Rate, Plunge Rate, Spindle and Tool Number boxes.
    • Define the feed rate of the drill bank in the Feed Rate box.
    • Define the plunge rate of the drill bank in the Plunge Rate box.
    • Define the rotational speed of the spindle in the Spindle box. The spindle is the part of the drill bank that rotates during operation. On a mill it holds the tool in position. On a lathe it holds the block of material.
    • Define the position of the drill bank within the CNC machine's tool changer in the Tool Number box.
  11. If you want to adjust the diameter of any of the tools in the default drill bank layout:
    • First click on the circle shown in the Drill Diagram (View Down Z) area representing the position of the tool in the drill bank. Its diameter appears in the Diameter box and its number appears in the Number box.

      For example, when working in metric measurements and clicking on the black circle representing the drill tool second from left in the default drill diagram, 5 is shown in the Diameter box and a number 2 is shown in the Number box.

    • You cannot edit the tool number associated with any tool in the drill bank unless the Advanced settings are displayed on the page.
    • Next define the diameter of the selected tool in the Diameter box.
    • Now click on the Update Drill button. The size of the circle is adjusted according to the diameter that you have defined. For example, if you are working in metric measurements and type 15 in the box the black circle representing the drill tool second from left in the default drill diagram is now shown as follows:

  12. If you want to adjust the configuration of the drill bank shown in the Drill Diagram (View Down Z) area of the page:
    • First click on the Advanced... button in the area to display a message box warning that only experts should modify the advanced settings and that configuration mistakes can cause machining errors:

      Click on the OK button to close the message box and display the advanced settings on the Drill Banks page.

    • If you want to close the Advanced settings at any time, click on the Advanced... button again.
    • In the Size area, define the number of drills in the bank along the X-axis in the W box and the number of drills along the Y-axis in the H box.
    • In the Center area, define the X and Y co-ordinates of the zero drill in the X and Y boxes.
    • In the Origin Drill area, define the X and Y co-ordinates of the origin drill in the X and Y boxes. The origin drill is shown in green in the Drill Diagram (View Down Z) area of the page.
    • Define the distance between each drill in the bank in the Pitch box. The default distance of 32 mm (1.26") is the European Standard.
    • Click on the Update Config button to update the advanced settings. The new drill bank configuration is shown in the Drill Diagram (View Down Z) area of the page.
  13. Define the range within which you want to compensate for minor changes in circle diameter in the Circle Tolerance box.
  14. Define the range within which you want to compensate for minor changes in pitch in the Pitch Tolerance box.
  15. If you want to use peck drilling during the machining process:
    • Click to select the Use Peck Drilling option to display its settings.
    • Define the height (Z) to which the drill bank retracts each time that its associated Stepdown value is met in the Retraction Z box.
    • The drill bank continues to cut further into the material block either until it reaches the height defined in the Finish Depth box or its associated Stepdown value, in which case the drill bank retracts to the height defined in the Retraction Z box once again before re-entering the holes and cutting downwards until its Stepdown value is met yet again. This cycle continues until the defined Finish Depth is met.
  16. If your material settings are undefined, click on the Setup... button in the Material area to display the Material Setup dialog box.
    • If you have previously defined your material settings, the material thickness is shown in the Material area. Click on the Display Settings Icon arrow in the Material area to view the material Z zero position and the Z height of both the top and bottom of the block.
  17. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option.
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking to deselect the 2D option in the Show In area of the Toolpaths Home page.
  18. Type the name that you want to give the toolpath in the Name box.
    • If you do not give the toolpath a name, the Drill Bank label is used by default.
  19. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      The preview circles that surround the column of circle vectors on the right identify the position of the origin drill in the drill bank. The position of the origin drill is displayed in green in the Drill Diagram (View Down Z) area.

      A message box is displayed confirming the total number of drill holes and plunge moves in both the X and Y axis needed to machine the drill holes using the current drill bank configuration. In our example, only five plunge moves are required in order to machine twenty-five drill holes:

      Click on the OK button to close the message box.

    • If you want to calculate the toolpath either independently or as part of a batch of toolpaths at a later time, click on the Later button.
  20. Click on the Close button to return to the Toolpaths Home page.

    The toolpath preview illustrates all of the drill holes created by the drill bank:

    • The toolpath preview is not shown in the 2D View window if the Create 2D Preview is deselected during the toolpath calculation.

      You can now simulate the toolpath. The resulting toolpath simulation traces the plunge moves of the origin drill, but also displays all of the drill holes resulting from the drill bank.


Enhanced Drilling Toolpath

When creating drill holes, you can now define the height above the material block at which you want your cutting tool to make the transition from the rapid rate to the plunge rate, which prevents the tool colliding with uneven material surfaces during rapid moves. The rate of the rapid move down can sometimes cause tool damage when machining particularly hard or uneven surfaces.

To create drill holes:

  1. Click on the Drilling button Drilling Button in the 2D Toolpaths area of the Toolpaths Home page to display the Drilling page.
  2. If you are creating drill holes using vector artwork, make sure that all of the vectors that you want to use are selected.

    If you are creating drill holes using calculated toolpaths, make sure that the toolpath previews that you want to use are selected.

  3. Define the depth (Z) from the material surface at which you want to create the drill holes in the Start Depth box.
  4. Define the depth (Z) of the bottom of each drill hole in the Finish Depth box.
    • If you select the Drill Toolpath Plunges option in the Drill Centre of... area, the Finish Depth box is not displayed. This is because the bottom of each drill hole is equal to the depth of the lowest machining pass in each selected toolpath preview, including any additional positive offset defined in the Offset Z box.
  5. Define the height above the material block at which you want your tool to make the transition from the rapid rate to the plunge rate in the Plunge Clearance box.
    • To display the default plunge rate associated with a tool chosen from the Tool Database, click on the Display Settings Icon arrow in the Tool area. You can change the plunge rate associated with the selected tool.
  6. If you want to change the height at which the tool makes rapid moves between toolpath segments:
    • First click on the Display Settings Icon arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next define the height in the Safe Z box.

      If you want to define the Home Position for the tool:

    • First define its position along the X, Y and Z axes in the Home Position's X, Y and Z boxes.
    • Next click on the Hide Settings Icon arrow to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. Click on the Select... button in the Tool area to open the Tool Database:

  8. Double-click on the tool that you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Tool area.

    If you want to amend the machining parameters associated with the selected tool, click on the Display Settings Icon arrow in the Tool area.

    When you have finished, click on the Hide Settings Icon arrow to hide the machining parameters.

  9. To control where the drill holes are cut in the material block, select one of the Drill Centre of... options by clicking on its radio button:
    • If you want to create a drill hole in the centre of every selected circular vector, click to select the Selected Circular Vectors option then define the tolerance used to decide which of the selected vectors are considered as circular or not in the Tol. box
    • If you have selected any shape of vector other than a circle or if a circular vector is not within tolerance, then this is ignored.
    • If you want to create a drill hole in the centre of every selected vector irrespective of its shape, click to select the All Selected Vectors option. Each drill hole is created in the position equal to the centre of the bounding box that would surround the vector when selected.
    • If you want to create a drill hole at each point (node) within every selected vector, click to select the All Selected Vector Nodes option.
    • If you want to create a drill hole at the position where each plunge move is made in a toolpath, click to select the Drill Toolpath Plunges option then define any additional positive offset that you want to apply in the Offset Z box displayed below.
    • You can only create drill holes using calculated 2D toolpaths where a toolpath preview has been created in the 2D View window.
    • Plunge moves are shown in the 3D View window in cyan, providing that the Toolpaths > Toolpath Drawing > Show Rapid and Plunge Moves option is selected on the Main Menu bar.
  10. If you want to use peck drilling during the machining process:
    • Click to select the Use Peck Drilling option to display its settings.
    • Define the height (Z) to which the tool is retracted each time that its associated Stepdown value is met in the Retraction Z box.
    • The tool continues to cut further into the material block either until it reaches the height defined in the Finish Depth box or its associated Stepdown value, in which case the tool retracts to the height defined in the Retraction Z box once again before re-entering the hole and cutting downwards until its Stepdown value is met yet again. This cycle continues until the defined Finish Depth is met.

      When the Drill Toolpath Plunges option is selected in the Drill Centre of... area, the peck drilling cycle continues until the tool reaches the lowest machining pass in each selected toolpath preview, including any additional positive offset defined in the Offset Z box.

  11. Use the options in the Sequencing area to set the order in which each segment in the drilling toolpath is machined. You can either allow ArtCAM Pro to calculate the machining order or use a polyline drawn in the 2D View window to plot the machining order.

    If you want ArtCAM Pro to calculate the order in which each toolpath segment is machined:

    • First select the Auto option by clicking on its radio button.
    • Now click on the list box followed by the option that you want to use for the machining order:

      Select the Optimise option to instruct ArtCAM Pro to find the most efficient machining order.

      Select the Use Text Order option to machine according to the order in which a selection of vector text was created.

      Select the Left to Right option to machine from the left of the model area to the right.

      Select the Right to Left option to machine from the right of the model area to the left.

      Select the Bottom To Top option to machine from the bottom of the model area to the top.

      Select the Top To Bottom option to machine from the top of the model area to the bottom.

      Select the Spiral Out option to machine from the centre of the model area outwards in a spiral motion.

    • This is particularly useful when using clamps to secure a material sheet or block to your router.

      Select the Spiral In option to machine from the outside edge of the model area inwards in a spiral motion.

      If you want to control the order in which each toolpath segment is machined:

    • First select the Manual option by clicking on its radio button.
    • Next draw a polyline in the 2D View window plotting the order in which you want the toolpath segments to be machined. Its Start Point should be positioned close to the toolpath segment from which you want to begin machining.
    • Now click to select the polyline that you have drawn, then click on the Select Vector button. The No vector selected message originally shown in red now reads as Vector Selected in blue, the Cancel Selection button replaces the Select Vector button and direction arrows are drawn along the selected vector.

      If you do not select an open ungrouped vector, a message box is displayed warning that only a single ungrouped vector can be used:

      Click on the OK button to close the message box, then repeat this step this time selecting an appropriate vector.

      If you want to change the selected vector, click on the Cancel Selection button and repeat this step.

    • Finally make sure that the all of the vector artwork that you want to use when creating drill holes is selected.
  12. If your material settings are undefined, click on the Setup... button in the Material area to display the Material Setup dialog box.
    • If you have previously defined your material settings, the material thickness is shown in the Material area. Click on the Display Settings Icon arrow in the Material area to view the material Z zero position and the Z height of both the top and bottom of the block.
  13. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option.
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking to deselect the 2D option in the Show In area of the Toolpaths Home page.
  14. Type the name that you want to give the toolpath in the Name box.
    • If you do not give the toolpath a name, the Drilling label is used by default.
  15. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed in the status bar area during the calculation process:

      You can click on the Cancel button to end the calculation process at any time.

    • If you want to calculate the toolpath either independently or as part of a batch of toolpaths at a later time, click on the Later button.
  16. Click on the Close button to return to the Toolpaths Home page.

    The toolpath is listed on the Toolpaths Home page. If the toolpath name is shown in black, this indicates that the toolpath has already been calculated. If it is shown in red, this indicates that the toolpath has not yet been calculated. When calculated, a wireframe view of the toolpath is shown in the 3D View window by default.

    Providing that the Create 2D Preview option was selected at the time of calculating the toolpath, a toolpath preview is shown in the 2D View window by default.


Enhanced Profiling Toolpath

When creating a Profiling toolpath including lead moves you can now produce a single ramp of continuous motion from the top of the material to the full depth of cut. This prevents the tip of the tool from going straight down into the material surface. The surface depth is equal to the Start Depth.

To ramp all linear lead moves from the surface of the material block:

  1. Click to select the Add Lead In / Out Moves option to display its associated settings on the page.
  2. Make sure that the Ramp from surface option is selected.
    • The value in the Lead Distance must be greater than zero when using the Ramp from surface option.


Enhanced Toolpath Batch Calculation

The following enhancements have been made to the Batch Calculate Toolpaths dialog box:

  • The Optimize Feed Rates option, which recalculates the feed rate to give a constant rate of material removal.
  • Calculated toolpaths are listed in the Toolpaths Available For Calculation window in black, while all uncalculated toolpaths are listed in red.
  • When the Calculate Toolpaths option is selected, all uncalculated toolpaths are selected by default.
  • When the Optimize Feed Rates option is selected, all calculated toolpaths are selected by default.

The Optimize Feed Rates option allows machining times to be reduced by up to 50% and so will give increased productivity and faster delivery in a wide range of manufacturing operations. Other benefits include reduced wear on both cutting tools and CNC machines, improved surface finish, and less need for the operator to supervise machining.

The Optimize Feed Rates option analyses the toolpaths created in ArtCAM Pro and adjusts the feed rate to give a constant rate of material removal. With conventional machining, the feed rate has to be set at a constant speed determined by the most demanding aspect of the toolpath. Using the Optimize Feed Rates option permits a higher feed rate to be set for lighter cuts and air moves so enabling faster machining particularly when using high speed machining.

Setting a constant rate for material removal means that there is a more consistent load placed on the cutting tool. This reduces wear on the tool and also the machining spindle. The cutter is also further protected by a reduction in the feed rate as it enters or leaves the material. Protecting the cutter in this way reduces the tooling costs, as well as saving the time needed to fit replacements. Similarly, protecting the machine tool reduces maintenance costs and and limits down time.

A consistent load on the cutting tool also produces a better surface finish. This reduces the time and cost of hand-finishing. Quality can also be improved by minimising the opportunities for human error that are inevitable with hand-finishing.

Finally, having the feed rate adjusted reduces the need for supervision of the machine tool and for manual adjustment of the feed rate. This leaves the operator more time for tasks. For example, it can help in the introduction of shop-floor programming.

To optimise the feed rate in a selection of calculated toolpaths:

  1. Use the Nudge Up Button - Toolpath List and Nudge Down Button - Toolpath List buttons on the Toolpaths Home page to reset the order in which the created and calculated toolpaths are listed so that they reflect how you want to machine the job.
  2. Click on the Batch Calculate Toolpaths button Batch Calculate Toolpaths Button in the Toolpath Operations area of the Toolpaths Home page to display the Batch Calculate Toolpaths dialog box:

    Batch Calculate Toolpaths Dialog Box

    • You can also click on the Toolpaths > Batch Calculate Toolpaths... menu option from the Main Menu bar to display the Batch Calculate Toolpaths dialog box.
    • You can also display the Batch Calculate Toolpaths dialog box from the Project Tree. Right-click on the Toolpaths item Toolpaths Icon - Project Tree to display its context-menu, then click on the Batch Calculate Toolpaths... menu option.
  3. Select the Optimize Feed Rates option by clicking on its radio button.
  4. Make sure that all of the toolpaths that you want to optimize are selected in the Toolpaths Available For Calculation window.
    • All of the calculated toolpaths listed in the Toolpaths Available For Calculation window are selected by default. If you do not want to optimize a particular toolpath, click to deselect the check box beside its name.
    • You can only optimize the feed rate in calculated toolpaths. The names of all calculated toolpaths are listed in the Toolpaths Available For Calculation window in black, while all uncalculated toolpaths are listed in red. If you want to optimize a particular toolpath with its name shown in red, it must be calculated first.
    • You can deselect all of the toolpaths listed in the Toolpaths Available For Calculation window using the Select None button, and select them all using the Select All button.
    • You cannot optimize the feed rate in a calculated Drill Bank toolpath. If any Drill Bank toolpaths are included in a selection chosen for optimization, a message is displayed in the Status area confirming that these toolpaths are ignored.
  5. If you want to adjust the optimization settings, click on the Settings... button to display the Optifeed Parameters dialog box:

    Optifeed Parameters Dialog Box

    • Define the distance of the lead-in move as a percentage of the tool diameter in the Lead in distance box.
    • Define the percentage by which the feed rate is reduced until the tool is fully engaged with the material block in the Lead in factor box.
    • The Lead in distance and Lead in factor are related in that they control any deceleration of the tool as it enters the block of material. When the tool enters the material, the feed rate is reduced until it is fully engaged. The amount by which it is slowed is decided by the Lead in factor. If the Lead in factor is 100%, the tool is not slowed down. The Lead in distance increases the distance over which the Lead in factor is applied.
    • Define the distance of the lead-out move as a percentage of the tool diameter in the Lead out distance box.
    • Define the percentage by which the feed rate is reduced until the tool is no longer engaged with the material block in the Lead out factor box.
    • The Lead out distance and Lead out factor are related in that they control any deceleration of the tool as it leaves the block of material. When the tool leaves the material, the feed rate is reduced until it is no longer engaged. The amount by which it is slowed is decided by the Lead out factor. If the Lead out factor is 100%, the tool is not slowed down. The Lead out distance increases the distance over which the Lead out factor is applied. The Lead out distance is only applied to the end of the lead out region and is defined as a percentage of the tool diameter.
    • Define the minimum difference that must exist between the original and recalculated feed rates before the feed rate is adjusted in the Minimum feed rate change box. This is set to 25% by default.
    • Define the maximum limit to which the feed rate can be accelerated as a percentage of its original speed in the Maximum feed rate box. This is set to 300% by default.
    • Define the minimum limit to which the feed rate can be decelerated as a percentage of its original speed in the Minimum feed rate box. This is set to 30% by default.
    • Define the minimum distance that the tool must move before its feed rate is adjusted in Minimum change distance box. This is set to 25 mm or 1 inch by default, depending on whether you are working in imperial or metric units of measurement.
    • Define the accuracy that is used when simulating the machining process in the Simulation resolution box. This must be equal to or less than the radius of the smallest tool in the list of calculated toolpaths selected for optimization. This is set to 3 mm or 0.06 inches by default, depending on whether you are working in imperial or metric units of measurement.

      The memory requirements for the current Optifeed simulation are shown below the Simulation resolution area. This is 0.02 Mb by default.

    • Define a resolution that is appropriate for the piece and the toolpath. For example, roughing toolpaths do not require particularly high accuracy as they typically leave surface material that is removed later on in the machining process. It is suggested that you divide the corner radius of the smallest tool in the list by 5 and use the resulting value, except where this less than 0.5 mm in which case you should divide the tool diameter by 10 and use the result.

      Click on the OK button to close the dialog box and save the settings.

  6. Click on the Start button in the Batch Calculate Toolpaths dialog box to optimize the selected toolpaths.
    • If you do not have any calculated toolpaths selected, a message box is displayed warning that at least one calculated toolpath must be selected:

      Click on the OK button to close the message box.

    • If you have not yet defined the material setup or have deleted the setup previously defined in a toolpath, the following message box is displayed:

      Click on the OK button to close the message box.

    • If the Simulation Resolution defined in the Optifeed Parameters dialog box is not less than or equal to the radius of the smallest tool used in all of the toolpaths listed on the Toolpaths page, the following message box is displayed:

      ArtCAM Pro confirms the radius of the smallest tool in brackets at the end of the message. Click on the OK button to close the message box. A second message box is then displayed asking if you want to change the current Optifeed parameters:

      Click on the OK button to close the message box and display the Optifeed Parameters dialog box. You can then define the value for the smallest tool radius seen in the previous message box in the Simulation Resolution box.

      The following details are displayed in the Status window during the optimization process:

    • The time and date on which the optimization process begins.
    • The percentage by which the feed rate for each tool either accelerates or decelerates.
    • The estimated time remaining until the optimization process is complete.
    • The elapsed time for the complete optimization process.
    • The memory requirements for the Optifeed simulation are also shown. The higher the resolution, the greater the memory requirements.
    • If you cannot read all of a particular message in the Status area, you can use the scroll bar along the bottom and right edge of the area to review the text.

      A progress bar is shown in the status bar area indicating the time remaining until the optimization process is complete:

    • If you want to cancel the optimization process at any time, click on the Stop button.
  7. You can check the results of the optimization process as follows:
    • Consider the colour changes in the toolpaths shown in the 3D View window.

      If the toolpath is green, this indicates that the feed rate has decelerated to a safer speed.

      If the toolpath is red, this indicates that the feed rate remains at its original speed.

      If the toolpath is orange, this indicates that the feed rate has accelerated up to twice its original speed.

      If the toolpath is yellow, this indicates that the feed rate has accelerated to more than twice its original speed.

      Optifeed Results Key

    • Click to select any of the tools associated with an optimized toolpath listed on the Toolpaths Home page. The parameters of the selected toolpath are displayed beneath the Toolpath Simulation area. The optimized feed rates are shown in the Optifeed Min area and Optifeed Max area. You can compare these against the original feed rate of the selected tool shown in the Feed area.
    • Click on the Toolpath Summary button Toolpath Summary Button in the Toolpath Operations area of the page to display the Toolpath Summary Information dialog box, then compare the speed of the Machining Time against the Optifeed Time.


Enhanced Toolpath Transform

In previous versions of ArtCAM Pro, you could only move and mirror a calculated toolpath. In ArtCAM Pro 2008, the tools used to move a toolpath have been updated and you can now also:

  • rotate a toolpath around a defined rotation centre
  • move a toolpath to an absolute position
  • toggle the display of all toolpath moves behind and below the surface of the composite relief, as seen in the 3D View window
  • project a toolpath directly onto the surface of the composite relief; and
  • move and rotate a 2D toolpath using its toolpath preview shown in the 2D View window.
  • You cannot undo a transform on a toolpath made using any of the options available on the Toolpath Transform page. If you try to undo a transform made in this way, a message box warning that it cannot be done is displayed:

    Click on the OK button to close the message box. You can however undo a transform on a 2D toolpath, providing that it is made directly from the 2D View window using its toolpath preview.

To transform a calculated toolpath:

  1. Click on the Toolpaths tab to display the Toolpaths Home page.
  2. Click on the Toolpath Transform button Toolpath Transform Button in the Toolpath Operations area to display the Toolpath Transform page. A list of all calculated toolpaths is displayed.
    • You can also display the Toolpath Transform page if you right-click on a selected 2D toolpath preview to display its context menu, then click on the Transform Toolpath menu option.
    • If there are no calculated toolpaths listed on the Toolpaths Home page, a message box warning that there must be at least one calculated toolpath available to transform is displayed:

      Click on the OK button to close the message box.

  3. Select the calculated toolpath that you want to transform:
    • Click on the name of the toolpath from those listed at the top of the page. Its name is emphasized in blue.
    • If the toolpath makes use of more than one tool, click on the toolpath name shown in bold text to transform all of its machining passes or an individual tool name if you want to transform a single machining pass.
    • If you are transforming a 2D toolpath, providing that its Show in 2D option is selected you can also click on its 2D toolpath preview in the 2D View window.
  4. The co-ordinates in the X and Y boxes in the Rotation Centre area show the current position of the transform origin. You can define the origin about which you want to transform the selected toolpath in either of the following ways:
    • Click on any of the five radio buttons on the rectangle diagram to set the origin to one of five preset positions. The co-ordinates of the selected position are displayed in the X and Y boxes.
    • Define the X and Y co-ordinates of the position that you want to set as the origin in the X and Y boxes.

      Click on the Apply button to set the new origin. A blue cross Rotation Origin Icon marks the origin in the 2D View window.

    • If you have selected a 2D toolpath, you can rotate the toolpath by clicking and dragging on the rotation handle in the centre of the bounding box that surrounds the toolpath preview when selected in the 2D View window.
    • Hold down the Ctrl key on your keyboard to make a copy of the selected 2D toolpath when rotating it using the rotation handle in the centre of the bounding box that surrounds the toolpath preview shown in the 2D View window.
  5. If you want to move the selected toolpath:
    • Define the distance by which you want to move the selected toolpath in the Step box.
    • If you have selected a 2D toolpath, you can move the toolpath by clicking and dragging on the bounding box that surrounds the toolpath preview when selected in the 2D View window. Release the mouse button to set the new position of the toolpath.
    • Hold down the Ctrl key on your keyboard to make a copy of the selected 2D toolpath when moving it using the bounding box that surrounds the toolpath preview shown in the 2D View window.
    • Use the appropriate arrow(s) on the diagram in the Positioning area to move the selected toolpath along any of the three axes:
    • The arrows are colour co-ordinated with the origin gnomen displayed in the 3D View window to make it easy to visualize exactly how you want to move the selected toolpath.

      Each click on the ShiftUpArrowIcon arrow moves the toolpath up along the Z-axis by the increment specified in the Step box.

    • You cannot move any 2D toolpaths in the Z direction.
    • If any part of the selected toolpath moves above the Safe Z level originally defined when calculating the toolpath, a message box is displayed asking if you want to continue:

      Click on the Yes button to move the selected toolpath along the Z-axis by the increment specified in the Step box, or click on the No button to cancel the transform move.

      Each click on the ShiftDownArrowIcon arrow moves the toolpath down along the Z-axis by the increment specified in the Step box.

      Each click on the MoveUpArrowIcon arrow moves the toolpath up along the Y-axis by the increment specified in the Step box.

      Each click on the MoveDownArrowIcon arrow moves the toolpath down along the Y-axis by the increment specified in the Step box.

      Each click on the MoveLeftArrowIcon arrow moves the toolpaths left along the X-axis by the increment specified in the Step box.

      Each click on the MoveRightArrowIcon arrow moves the toolpath right along the X-axis by the increment specified in the Step box.

  6. If you want to rotate the selected toolpath:
    • Define the angle by which you want to rotate the toolpath in the Angle box.
    • Use either of the curved arrows to rotate the toolpath around its local origin:

      Each click on the RotateClockwiseIcon arrow rotates the toolpath clockwise by the increment specified in the Angle box.

      Each click on the RotateAntiClockwiseIcon arrow rotates the toolpath anti-clockwise by the increment specified in the Angle box.

  7. If you only want to view areas of the toolpath in the 3D View window within the boundary of the composite relief, make sure that the Clip Toolpaths option is selected.
  8. If you want to position the toolpath according to an exact set of coordinates:
    • Define the X, Y and Z co-ordinates of the position that you want to set as the origin in the X, Y and Z boxes.
    • If you cannot see the Absolute Coordinates settings, click on the Display Settings Icon icon to display the X, Y and Z boxes. Click on the Hide Settings Icon icon to hide the settings again.
  9. If you want to mirror the toolpath:
    • Click on the Mirror X button if you want to mirror the selected toolpath about the X value of the centre of its bounding box.
    • Click on the Mirror Y button if you want to mirror the selected toolpath about the Y value of the centre of its bounding box.
    • If you cannot see the Mirror settings, click on the Display Settings Icon icon to display the Mirror X and Mirror Y buttons. Click on the Hide Settings Icon icon to hide the settings again.
  10. You can adjust the selected toolpath relative to the composite relief in either of the following ways:
    • If you want adjust the selected toolpath by the distance between the tip of the tool and the surface of the composite relief, at the point where the tool would first make contact, select the Drop Tool option by clicking on its radio button. Any depth below the top of the material block is preserved, meaning that the tool may move below the surface of the composite relief.
    • If you want to adjust the selected toolpath vertically by the difference between the highest point in the composite relief and the top of the material block., select the Project Tool option by clicking on its radio button. Where there is no material block defined, ArtCAM Pro adjusts the toolpath by the absolute height of the composite relief; whether positive or negative.

      Click on the Project On Relief button to adjust the selected toolpath relative to the surface of the composite relief using your chosen method.

  11. Click on the Close button to return to the Toolpaths Home page.


Enhanced Toolpath Simulation

You can now define the resolution of the toolpath simulation. using the new Custom option available in the Simulation Relief Resolution area of the Toolpath Simulation - Block Definition dialog box.

ToolpathSimulation - Block Definition Dialog Box

The Custom option allows you to specify the number of pixels per mm used in the toolpath simulation. The value defined in the pixels per mm box determines the memory consumption. The default value of 1 pixels per mm equates to a 1.000 mm resolution which makes use of 0.02Mb of memory. If we were to increase this value to 100 pixels per mm, the resolution increases to 0.010 mm which makes use of 200.00Mb of memory.

  • You must ensure that there is sufficient disk space on your computer to complete the toolpath simulation.
  • Increasing the resolution of the toolpath simulation might increase the time it takes for ArtCAM Pro to draw the toolpath simulation in the 3D View window.

Any toolpath simulation shown in the 3D View window can now also be rendered using the shading sets available from the Shading list box in the Toolpath Simulation area of the Toolpaths Home page. There are twenty-two choices of shading set in the Shading list box, with the Simulation Default set used by default.

  • The Shading list box in the Toolpath Simulation area is greyed-out whenever a toolpath simulation is not shown in the 3D View window.
  • You can adjust the settings that make up the Simulation Default shading set using the Lights and Materials page. For details, see Enhanced Lights and Material Settings.


New Toolpath Simulation To Relief Layers Tool

You can now create a relief layer from a toolpath simulation shown in the 3D View window.

To create a relief layer from a toolpath simulation:

  1. Simulate all of the calculated toolpath(s) listed on the Toolpaths Home page from which you want to create a new relief layer. The resulting toolpath simulation is shown in the 3D View window.
  2. Click on the Copy Simulation To A Relief Layer button Copy Simulation To Relief Layer Button in the Toolpath Simulation area. A new relief layer is created directly above the selected relief layer in the stack shown in the Reliefs area of the Layers Manager, and the Add combine mode is applied to the layer by default. The relief layer is named Simulation by default.


Enhanced ArtCAM Options Page

You can now change the colour associated with a toolpath simulation shown in the 2D View window as a solid, and the colour associated with simulated toolpaths shown in the 3D View window. For further details, see Enhanced Toolpath Simulation.

You can also control which type of bridges, or tabs, are created by default in ArtCAM Pro. Three-dimensional bridges possess a triangular cross-section and do not have any associated retract or plunge moves.

  • You can add bridges to any profile pass within a calculated toolpath, providing that a 2D Preview was created during the calculation process. The toolpaths that include profile passes are 2D Profiling, Bevel Carving, Machine Along Vector and Inlay (Female - Hole and Male - Straight).

Three dimensional bridges produce a raised shape, typically a triangle or pyramid, in a machined piece. This shape reduces the cross-section and the overall surface area of a bridge, and without any associated retract or plunge moves dwell marks are prevented.

Following the introduction of projects, you can define the resolution of the relief in the ArtCAM model resulting from an assembly or replica mesh. For further details, see Creating a Relief from an Assembly and Creating a Relief from a Replica Mesh.

You can now also change the colour associated with a toolpath simulation shown in the 2D View window as a solid, and the colour associated with simulated toolpaths shown in the 3D View window. For further details, see Enhanced Toolpath Simulation.

To adjust the aforementioned settings:

  1. Click on the Options button Options Button in the File area of the Assistant's Home page to display the ArtCAM Options page.
    • You can also display the ArtCAM Options page from the Main Menu bar by clicking on the Edit > Options Page... menu option.
  2. If you want to change the colour associated with a toolpath simulation shown in the 2D View window as a solid:
    • First click on the current Toolpath Simulation colour swatch shown in the 2D Drawing Colours area to display the Color dialog box.
    • Now select the colour that you want to assign to associated with a toolpath simulation shown in the 2D View window as a solid.
    • Next click on the OK button to close the Color dialog box and save the colour setting. The colour swatch is updated.
  3. If you want to change the colour associated with simulated toolpaths shown in the 3D View window:
    • First click on the current Toolpath Simulation colour swatch in the 3D Drawing Colours area to display the Color dialog box.
    • Now select the colour that you want to assign to associated with a toolpath simulation shown in the 3D View window.
    • Next click on the OK button to close the Color dialog box and save the colour setting. The colour swatch is updated.
  4. If you want to use three-dimensional bridges by default:
    • Make sure that the Use 3D Bridges by Default option beneath the Toolpath Strategies heading in the Machining area of the page is selected.
    • The 3D Bridges option is found in the Bridges area of the Profile Options settings page whenever a preview of a Profiling toolpath is selected in the 2D View window. If the Use 3D Bridges by Default option is selected, the 3D Bridges option on the Profile Options settings page is always selected by default.

      If you want to use two-dimensional bridges by default:

    • Make sure that the Use 3D Bridges by Default option beneath the Toolpath Strategies heading in the Machining area of the page is not selected.
  5. To set the resolution of the relief in the ArtCAM model resulting from an assembly or replica mesh:
    • Define the resolution in the Pixel resolution of model from mesh box in the Miscellaneous area. The specified number of pixels is used in X or Y; depending on which is largest dimension in the assembly or replica mesh. The default resolution is 2000 pixels.
  6. Click on the Apply button to confirm your settings. If you want to restore the default settings at any time, click on the Reset button.
  7. Click on the [image] icon to return to the Assistant's Home page.
    • You can also click on the Close Icon icon at the top of the page to return to the Assistant's Home page.


Enhanced Twiddle Tool

Continuing advances in 3D graphics hardware are now utilised by ArtCAM Pro to provide appreciably faster manipulation of the content shown in the 3D View window.